Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 6.0.2 released.

Sun Apr 17 17:48:54 UTC 2011  Chad Beaulac <chad@objectivesolutions.com>
       * tests/Bug_3912_Regression_Test.conf
       * tests/run_test.lst
       * tests/Bug_3912_Regression_Test.cpp
       * tests/tests.mpc
	 Removed 3912 Test and conf file.
	 Will re-add after code freeze for upcoming release.

Sun Apr 17 14:11:52 UTC 2011  Chad Beaulac <chad@objectivesolutions.com>
	* ace/Stream.cpp
	  Reverted previous commit. #3912 is not fixed.

	* tests/run_test.lst
	  Added (not)FIX_BUGS_ONLY to Bug_3912_Regression_Test

Sun Apr 17 13:30:23 UTC 2011  Chad Beaulac <chad@objectivesolutions.com>

	* ace/Stream.cpp
	  ACE_Stream::remove(module) always calls close on the Module now.
	  It use to only call close when the flags was M_DELETE_NONE.

	* tests/Bug_3912_Regression_Test.conf
	* tests/Bug_3912_Regression_Test.cpp
	  Tests that close is called on an ACE_Task that's
	  the reader in a Module that's removed from the Stream.

	* tests/Service_Config_Stream_DLL.cpp
	  Added make_close factory method for a new Module.
	
	* tests/Bug_3334_Regression_Test.cpp
	  Initialized status variable to zero.
	
	* tests/run_test.lst
	* tests/tests.mpc
	  Added new test.

Fri Apr 15 14:07:34 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_3709_Regression_Test.cpp:

          Work-around a clang compiler crash in this test.
          A bugzilla bug has been filed with the clang project.

Fri Apr 15 08:30:40 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3943_Regression_Test.cpp:
          Fixed mingw warning

Fri Apr 15 07:51:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Disable coredx by default

Thu Apr 14 19:17:04 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3943_Regression_Test.cpp:

          Scoreboard cleanup. "small" appears to be a reserved word on some
          win32 builds.

Thu Apr 14 09:27:20 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
          Removed unused SOBUILD variable.

Thu Apr 14 07:58:19 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/ACE.cpp:
        * ace/config-lynxos.h:
        * ace/os_include/sys/os_resource.h:
          Removed legacy rlimit related settings.

Wed Apr 13 13:29:13 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3943_Regression_Test.cpp:

          Still more scoreboard cleanup. The ACE defined iovec struct uses
          u_long for the iovlen rather than size_t, and on x64 systems, size_t
          is actually larger than u_long, so a "possible loss of data" warning
          is generated when assigning from a size_t to a u_long.

Wed Apr 13 09:39:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Time_Value_Test.cpp:
        * tests/Bug_2434_Regression_Test.cpp:
          Overflow problem is part of bugzilla 2434, only do the test there,
          that way Time_Value_Test should run in all builds

        * tests/ACE_Test.cpp:
        * tests/Bug_3758_Regression_Test.cpp:
        * tests/Date_Time_Test.cpp:
          Layout changes

Wed Apr 13 07:41:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.inl:
          Removed truncate_cast because it gives problems on Windows. Thanks
          to Jonathan Saxton <jsaxton at appsecinc dot com>

        * tests/Time_Value_Test.cpp:
          Extended with new test for change above

Tue Apr 12 20:39:11 UTC 2011  Olli Savia  <ops@iki.fi>

        * NEWS:
          Added a note about rand_r() and getpwnam_r() changes.

Tue Apr 12 18:51:21 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3943_Regression_Test.cpp:

          More scoreboard cleanup.

Mon Apr 11 17:21:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx.h:
          Another try to fix qnx 6.3

Mon Apr 11 06:30:07 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          Added support for no-optimize-sibling-calls

Sun Apr 10 18:04:19 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx.h:
          Don't define _QNX_SOURCE, already defined by default

Sun Apr 10 17:32:22 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx.h:
          qnx63 has much less than qnx65

Sun Apr 10 17:03:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx.h:
          Made some fixes for qnx65

        * include/makeinclude/platform_qnx_gcc.GNU:
          Simplified

Sun Apr 10 14:58:13 UTC 2011  Phil Mesnier  <mesnier_p@ociwb.com>

        * tests/run_test.lst:
        * tests/tests.mpc:

          Bug_3943_Regression_Test needs to avoid ace_for_tao.

Sat Apr  9 12:56:05 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3943_Regression_Test.cpp:

          Scoreboard cleanup.

Sat Apr  9 08:29:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-qnx.h:
          Added ACE_LACKS_ISWBLANK

Fri Apr  8 21:55:21 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/OS_NS_sys_socket.cpp:

        * tests/Bug_3943_Regression_Test.cpp:

          Clean up code for non-windows builds. The test now runs on
          non-windows, although the 3943 regression isn't actually
          evaluated as the error is windows specfic.

Fri Apr  8 13:35:54 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * ace/config-linux.h:
        * include/makeinclude/platform_linux_clang.GNU:

          Support for the Clang C++ compiler (http://clang.llvm.org) on Linux.

Fri Apr  8 13:15:08 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/OS_NS_sys_socket.h:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_sys_socket.cpp:

          Fix for bug 3943, the regression test added the other day should
          pass now.

Thu Apr  7 11:40:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Mon Mar 21 17:58:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Lock.h:
                * ace/Map_T.h:
                * ace/WFMO_Reactor.h:
                  Doxygen updates

        Mon Feb 28 13:32:56 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Local_Tokens.h:
                  Doxygen updates

        Tue Feb 22 13:21:35 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Reactor.h:
                * ace/WFMO_Reactor.h:
                  Doxygen updates

        Sun Feb 20 12:47:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/OS_NS_Thread.h:
                * ace/OS_NS_Thread.inl:
                * ace/OS_NS_Thread.cpp:
                  Removed ACE_HAS_NONSCALAR_THREAD_KEY_T, we don't have a config file
                  that defines this

                * ace/TSS_Adapter.h:
                * ace/TSS_Adapter.cpp:
                * ace/TSS_T.cpp:
                  Added missing ACE_Export

                * ace/os_include/os_signal.h:
                  Simplified ifdef checks

                * bin/MakeProjectCreator/config/acedefaults.mpb:
                  Removed exceptions, added cdt6

                * ace/config-qnx.h:
                * include/makeinclude/platform_qnx_gcc.GNU:
                  New files for QNX, simplified them and extended support for QNX 6.5

                * include/makeinclude/platform_qnx_neutrino.GNU:
                * include/makeinclude/platform_qnx_rtp_gcc.GNU:
                  Removed these files.

        Mon Feb 14 18:02:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * rpmbuild/ace-tao.spec:
                  Set explicit MPC_ROOT

        === end changelog ===

Wed Apr  6 14:39:10 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/tests.mpc:

          Added Bug 3943 regression test to build.

Wed Apr  6 14:14:59 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3943_Regression_Test.cpp:
        * tests/run_test.lst:

          Adding new test prior to committing fix.

Wed Apr  6 12:57:42 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/ACE-guidelines.html:

          Updated emacs directive to remove trailing whitespace.

Tue Apr  5 14:27:40 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.h:
        * protocols/ace/INet/URLBase.h:
          Fixes for MingW32 link problem.

Tue Apr  5 13:01:08 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * include/makeinclude/platform_macosx_iphone.GNU:

          Added new feature, iphone_codesign, to only use the iPhone codesign
          utility if explicitly set.  Recent changes in behavior have make this
          problematic in automated builds.

Tue Apr  5 12:36:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Get_Opt.inl:
        * ace/Guard_T.inl:
        * ace/Guard_T.cpp:
        * ace/Handle_Set.h:
        * ace/Handle_Set.cpp:
        * ace/Hash_Multi_Map_Manager_T.cpp:
        * ace/Hashable.inl:
        * ace/Hashable.cpp:
        * ace/IO_SAP.inl:
        * ace/IO_SAP.cpp:
          Layout changes

        * ace/Handle_Set.inl:
          Removed some old includes, should not be a problem with the current
          supported platforms

        * bin/vx_repo_link.pl:
          Removed this file, vxsim is not supported anymore

Mon Apr  4 09:42:27 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Added support to build from symlinked project root.

Thu Mar 31 12:59:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          If CROSS_COMPILE is set, set CROSS-COMPILE to 1

Tue Mar 29 12:37:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/doxygen-convert-h.pl:
          Also convert idl files

        * apps/JAWS2/JAWS/Policy.h:
        * apps/JAWS2/JAWS/Reaper.h:
        * tests/Message_Queue_Test_Ex.cpp:
        * tests/Wild_Match_Test.cpp:
          Doxygen changes

Tue Mar 29 07:09:56 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.h:
        * protocols/ace/INet/URLBase.h:
          Made explicit export defs on nested classes default for all MSVC
          compilers as it turns out VC10 is troubled by this deficiency
          as well.

Mon Mar 28 09:58:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/clients/Tokens/deadlock/deadlock_detection_test.cpp:
        * netsvcs/clients/Tokens/invariant/invariant.cpp:
        * netsvcs/clients/Tokens/mutex/test_mutex.cpp:
          Fuzz fixes

Mon Mar 28 07:50:45 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/asnmp/vb.cpp:
        * ASNMP/examples/get/get_async.cpp:
        * ASNMP/tests/Gauge_Test.cpp:
        * apps/Gateway/Gateway/gatewayd.cpp:
        * apps/Gateway/Peer/peerd.cpp:
        * apps/JAWS/clients/Blobby/blobby.cpp:
        * apps/JAWS2/JAWS/IO_Handler.h:
        * apps/JAWS2/JAWS/IO_Handler.cpp:
        * apps/JAWS2/JAWS/Jaws_IO.h:
        * apps/drwho/Hash_Table.h:
        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
          Fuzz fixes

Mon Mar 28 07:41:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Extended to check for old documentation style

          Converted to doxygen
        * ASNMP/agent/agent_impl.h:
        * ASNMP/agent/snmp_agent.h:

        * ASNMP/asnmp/address.cpp:
        * ASNMP/asnmp/asn1.cpp:
        * ASNMP/asnmp/counter.cpp:
        * ASNMP/asnmp/ctr64.cpp:
        * ASNMP/asnmp/gauge.cpp:
        * ASNMP/asnmp/integer.cpp:
        * ASNMP/asnmp/octet.cpp:
        * ASNMP/asnmp/oid.cpp:
        * ASNMP/asnmp/pdu.cpp:
        * ASNMP/asnmp/sagent.cpp:
        * ASNMP/asnmp/snmp.cpp:
        * ASNMP/asnmp/target.cpp:
        * ASNMP/asnmp/timetick.cpp:
        * ASNMP/asnmp/transaction.cpp:
        * ASNMP/asnmp/vb.cpp:
        * ASNMP/asnmp/wpdu.cpp:

        * ASNMP/examples/get/get.cpp:
        * ASNMP/examples/get/get_async.cpp:

        * ASNMP/examples/next/next.cpp:

        * ASNMP/examples/set/set.cpp:

        * ASNMP/examples/trap/trap.cpp:

        * ASNMP/examples/walk/walk.cpp:

        * ASNMP/tests/Address_Test.cpp:
        * ASNMP/tests/Counter64_Test.cpp:
        * ASNMP/tests/Counter_Test.cpp:
        * ASNMP/tests/Gauge_Test.cpp:
        * ASNMP/tests/Integer_Test.cpp:
        * ASNMP/tests/Octet_Test.cpp:
        * ASNMP/tests/Oid_Test.cpp:
        * ASNMP/tests/Target_Test.cpp:
        * ASNMP/tests/Varbind_Test.cpp:
        * ASNMP/tests/test_config.h:

        * Kokyu/Kokyu_dsrt.h:

        * ace/Codeset_Registry.h:
        * ace/Codeset_Registry.inl:

        * ace/ETCL/ETCL_l.cpp:
        * ace/ETCL/ETCL_y.cpp:

        * ace/OS_NS_signal.inl:

        * apps/Gateway/Gateway/Concrete_Connection_Handlers.h:
        * apps/Gateway/Gateway/Config_Files.h:
        * apps/Gateway/Gateway/Connection_Handler.h:
        * apps/Gateway/Gateway/Connection_Handler_Acceptor.h:
        * apps/Gateway/Gateway/Connection_Handler_Connector.h:
        * apps/Gateway/Gateway/Consumer_Dispatch_Set.h:
        * apps/Gateway/Gateway/Event.h:
        * apps/Gateway/Gateway/Event_Channel.h:
        * apps/Gateway/Gateway/Event_Forwarding_Discriminator.h:
        * apps/Gateway/Gateway/File_Parser.h:
        * apps/Gateway/Gateway/Gateway.h:
        * apps/Gateway/Gateway/Options.h:
        * apps/Gateway/Gateway/gatewayd.cpp:

        * apps/Gateway/Peer/Options.h:
        * apps/Gateway/Peer/Peer.h:
        * apps/Gateway/Peer/peerd.cpp:

        * apps/JAWS/clients/Blobby/Blob.h:
        * apps/JAWS/clients/Blobby/Blob_Handler.h:
        * apps/JAWS/clients/Blobby/Options.h:
        * apps/JAWS/clients/Blobby/blobby.cpp:

        * apps/JAWS/clients/Caching/ID_Generator.h:
        * apps/JAWS/clients/Caching/Local_Locator.h:
        * apps/JAWS/clients/Caching/Locator_Request_Reply.h:
        * apps/JAWS/clients/Caching/URL_Array_Helper.h:
        * apps/JAWS/clients/Caching/URL_Locator.h:
        * apps/JAWS/clients/Caching/URL_Properties.h:
        * apps/JAWS/clients/Caching/http_client.cpp:
        * apps/JAWS/clients/Caching/http_handler.h:
        * apps/JAWS/clients/Caching/http_handler.cpp:

        * apps/JAWS2/JAWS/IO_Handler.h:
        * apps/JAWS2/JAWS/Jaws_IO.h:

        * apps/drwho/BS_Client.h:
        * apps/drwho/BS_Server.h:
        * apps/drwho/Binary_Search.h:
        * apps/drwho/CM_Client.h:
        * apps/drwho/CM_Server.h:
        * apps/drwho/Comm_Manager.h:
        * apps/drwho/Drwho_Node.h:
        * apps/drwho/File_Manager.h:
        * apps/drwho/HT_Client.h:
        * apps/drwho/HT_Server.h:
        * apps/drwho/Hash_Table.h:
        * apps/drwho/Multicast_Manager.h:
        * apps/drwho/Options.h:
        * apps/drwho/PMC_All.h:
        * apps/drwho/PMC_Flo.h:
        * apps/drwho/PMC_Ruser.h:
        * apps/drwho/PMC_Usr.h:
        * apps/drwho/PMS_All.h:
        * apps/drwho/PMS_Flo.h:
        * apps/drwho/PMS_Ruser.h:
        * apps/drwho/PMS_Usr.h:
        * apps/drwho/PM_Client.h:
        * apps/drwho/PM_Server.h:
        * apps/drwho/Protocol_Manager.h:
        * apps/drwho/Protocol_Record.h:
        * apps/drwho/Rwho_DB_Manager.h:
        * apps/drwho/SL_Client.h:
        * apps/drwho/SL_Server.h:
        * apps/drwho/SML_Client.h:
        * apps/drwho/SML_Server.h:
        * apps/drwho/SMR_Client.h:
        * apps/drwho/SMR_Server.h:
        * apps/drwho/SM_Client.h:
        * apps/drwho/SM_Server.h:
        * apps/drwho/Search_Struct.h:
        * apps/drwho/Select_Manager.h:
        * apps/drwho/Single_Lookup.h:
        * apps/drwho/client.cpp:
        * apps/drwho/global.h:
        * apps/drwho/server.cpp:

        * netsvcs/clients/Tokens/collection/collection.cpp:

        * netsvcs/clients/Tokens/deadlock/deadlock_detection_test.cpp:

        * netsvcs/clients/Tokens/invariant/invariant.cpp:

        * netsvcs/clients/Tokens/manual/manual.cpp:

        * netsvcs/clients/Tokens/mutex/test_mutex.cpp:

        * netsvcs/clients/Tokens/rw_lock/rw_locks.cpp:

        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.h:
        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.cpp:

        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:

        * websvcs/lib/URL_Addr.h:

Sat Mar 26 12:07:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          AIO is not available in single thread builds on LynxOS 4.x.

Thu Mar 24 18:59:55 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Define ACE_LACKS_REALPATH on LynxOS 5.0. Platform has
          function prototype but doesn't provide implementation.

Thu Mar 24 18:31:21 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Misc/basic_func.h:
        * performance-tests/Misc/basic_perf.cpp:
        * performance-tests/Misc/childbirth_time.cpp:
        * performance-tests/Misc/context_switch_time.cpp:
        * performance-tests/Misc/preempt.cpp:
        * performance-tests/Misc/test_naming.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_Association_Test.cpp:
        * performance-tests/TCP/tcp_test.cpp:
        * performance-tests/UDP/udp_test.cpp:
          Converted to doxygen

Thu Mar 24 13:26:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/BPR_Drivers.h:
        * examples/Bounded_Packet_Relay/BPR_Drivers.cpp:
        * examples/Bounded_Packet_Relay/BPR_Drivers_T.h:
        * examples/Bounded_Packet_Relay/BPR_Drivers_T.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.h:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/Bounded_Packet_Relay/bpr_thread.cpp:
        * examples/Connection/misc/Connection_Handler.cpp:
        * examples/DLL/Magazine.h:
        * examples/DLL/Newsweek.h:
        * examples/DLL/Today.h:
        * examples/IPC_SAP/UPIPE_SAP/ex1.cpp:
        * examples/IPC_SAP/UPIPE_SAP/ex2.cpp:
        * examples/IPC_SAP/UPIPE_SAP/ex3.cpp:
        * examples/Log_Msg/test_callback.cpp:
        * examples/Log_Msg/test_log_msg.cpp:
        * examples/Log_Msg/test_ostream.cpp:
        * examples/Logger/simple-server/Logging_Acceptor.h:
        * examples/Logger/simple-server/Logging_Handler.h:
        * examples/Logger/simple-server/Reactor_Singleton.h:
        * examples/Misc/test_trace.cpp:
        * examples/NT_Service/main.cpp:
        * examples/NT_Service/ntsvc.h:
        * examples/NT_Service/ntsvc.cpp:
        * examples/OS/Process/imore.cpp:
        * examples/OS/Process/process.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/Fill_ACE_QoS.h:
        * examples/QOS/Change_Receiver_FlowSpec/FlowSpec_Dbase.h:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Signal_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/QoS_Util.h:
        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/receiver.cpp:
        * examples/QOS/Change_Receiver_FlowSpec/sender.cpp:
        * examples/QOS/Change_Sender_TSpec/Fill_ACE_QoS.h:
        * examples/QOS/Change_Sender_TSpec/FlowSpec_Dbase.h:
        * examples/QOS/Change_Sender_TSpec/QoS_Signal_Handler.h:
        * examples/QOS/Change_Sender_TSpec/QoS_Util.h:
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/receiver.cpp:
        * examples/QOS/Change_Sender_TSpec/sender.cpp:
        * examples/QOS/Simple/Fill_ACE_QoS.h:
        * examples/QOS/Simple/FlowSpec_Dbase.h:
        * examples/QOS/Simple/QoS_Signal_Handler.h:
        * examples/QOS/Simple/QoS_Util.h:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.h:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/receiver.cpp:
        * examples/QOS/Simple/sender.cpp:
        * examples/Reactor/Misc/test_early_timeouts.cpp:
        * examples/Reactor/Proactor/Aio_Platform_Test_C.cpp:
        * examples/Reactor/Proactor/post_completions.cpp:
        * examples/Reactor/Proactor/simple_test_proactor.cpp:
        * examples/Reactor/Proactor/test_aiocb.cpp:
        * examples/Reactor/Proactor/test_aiocb_ace.cpp:
        * examples/Reactor/Proactor/test_aiosig.cpp:
        * examples/Reactor/Proactor/test_aiosig_ace.cpp:
        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_end_event_loop.cpp:
        * examples/Reactor/Proactor/test_multiple_loops.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * examples/Reactor/Proactor/test_proactor2.cpp:
        * examples/Reactor/Proactor/test_proactor3.cpp:
        * examples/Reactor/Proactor/test_timeout.cpp:
        * examples/Reactor/Proactor/test_timeout_st.cpp:
        * examples/Reactor/Proactor/test_udp_proactor.cpp:
        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Abandoned.cpp:
        * examples/Reactor/WFMO_Reactor/Console_Input.cpp:
        * examples/Reactor/WFMO_Reactor/Directory_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Exceptions.cpp:
        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
        * examples/Reactor/WFMO_Reactor/Multithreading.cpp:
        * examples/Reactor/WFMO_Reactor/Network_Events.cpp:
        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Registration.cpp:
        * examples/Reactor/WFMO_Reactor/Registry_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
        * examples/Reactor/WFMO_Reactor/Suspended_Removals.cpp:
        * examples/Reactor/WFMO_Reactor/Talker.cpp:
        * examples/Reactor/WFMO_Reactor/Timeouts.cpp:
        * examples/Reactor/WFMO_Reactor/Window_Messages.cpp:
        * examples/Service_Configurator/Misc/main.cpp:
        * examples/Threads/TSS_Data.h:
        * examples/Threads/TSS_Obj.h:
        * examples/Threads/TSS_Task.h:
        * examples/Threads/future1.cpp:
        * examples/Threads/future2.cpp:
        * examples/Threads/process_manager.cpp:
        * examples/Threads/task_five.cpp:
        * examples/Threads/tss1.cpp:
        * examples/Threads/tss2.cpp:
        * examples/Timer_Queue/Custom_Handler.h:
        * examples/Timer_Queue/Custom_Handler.cpp:
        * examples/Timer_Queue/Thread_Timer_Queue_Custom_Handler_Test.h:
        * examples/Timer_Queue/Thread_Timer_Queue_Custom_Handler_Test.cpp:
        * examples/Timer_Queue/main_thread_custom_handler.cpp:
        * examples/Web_Crawler/Command_Processor.h:
        * examples/Web_Crawler/HTTP_URL.h:
        * examples/Web_Crawler/Iterators.h:
        * examples/Web_Crawler/Mem_Map_Stream.h:
        * examples/Web_Crawler/Options.h:
        * examples/Web_Crawler/URL.h:
        * examples/Web_Crawler/URL_Addr.h:
        * examples/Web_Crawler/URL_Status.h:
        * examples/Web_Crawler/URL_Visitor.h:
        * examples/Web_Crawler/URL_Visitor_Factory.h:
        * examples/Web_Crawler/Web_Crawler.h:
        * examples/Web_Crawler/main.cpp:
          Converted to doxygen style of documentation

Thu Mar 24 13:10:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ACE_Init_Test.h:
        * tests/ACE_Init_Test_Resource.h:
        * tests/ACE_Init_Test_StdAfx.h:
        * tests/Aio_Platform_Test.cpp:
        * tests/Atomic_Op_Test.cpp:
        * tests/Auto_Event_Test.cpp:
        * tests/Auto_IncDec_Test.cpp:
        * tests/Barrier_Test.cpp:
        * tests/Based_Pointer_Test.cpp:
        * tests/Based_Pointer_Test_Lib.cpp:
        * tests/Basic_Types_Test.cpp:
        * tests/Bound_Ptr_Test.h:
        * tests/Buffer_Stream_Test.cpp:
        * tests/Bug_2434_Regression_Test.cpp:
        * tests/Bug_2653_Regression_Test.cpp:
        * tests/Bug_2659_Regression_Test.cpp:
        * tests/Bug_3539_Regression_Test.cpp:
        * tests/Bug_3729_Regression_Test.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Cache_Map_Manager_Test.h:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Cached_Accept_Conn_Test.h:
        * tests/Cached_Accept_Conn_Test.cpp:
        * tests/Cached_Allocator_Test.cpp:
        * tests/Cached_Conn_Test.h:
        * tests/Cached_Conn_Test.cpp:
        * tests/Capabilities_Test.cpp:
        * tests/Codecs_Test.cpp:
        * tests/Collection_Test.h:
        * tests/Collection_Test.cpp:
        * tests/Config_Test.h:
        * tests/Config_Test.cpp:
        * tests/Conn_Test.h:
        * tests/Conn_Test.cpp:
        * tests/DLL_Test.cpp:
        * tests/DLL_Test_Impl.h:
        * tests/DLL_Test_Impl.cpp:
        * tests/DLList_Test.cpp:
        * tests/Dirent_Test.cpp:
        * tests/Dynamic_Priority_Test.cpp:
        * tests/Dynamic_Test.cpp:
        * tests/Enum_Interfaces_Test.cpp:
        * tests/FIFO_Test.cpp:
        * tests/FlReactor_Test.cpp:
        * tests/Framework_Component_DLL.h:
        * tests/Framework_Component_DLL.cpp:
        * tests/Framework_Component_Test.h:
        * tests/Future_Set_Test.cpp:
        * tests/Future_Test.cpp:
        * tests/Handle_Set_Test.cpp:
        * tests/Hash_Map_Bucket_Iterator_Test.cpp:
        * tests/Hash_Map_Manager_Test.cpp:
        * tests/Hash_Multi_Map_Manager_Test.cpp:
        * tests/High_Res_Timer_Test.cpp:
        * tests/INET_Addr_Test.cpp:
        * tests/IOStream_Test.cpp:
        * tests/Intrusive_Auto_Ptr_Test.cpp:
        * tests/Lazy_Map_Manager_Test.cpp:
        * tests/Log_Msg_Backend_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/MEM_Stream_Test.h:
        * tests/MEM_Stream_Test.cpp:
        * tests/MM_Shared_Memory_Test.cpp:
        * tests/MT_NonBlocking_Connect_Test.cpp:
        * tests/MT_Reactor_Timer_Test.h:
        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_Reference_Counted_Notify_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Main.cpp:
        * tests/Malloc_Test.h:
        * tests/Malloc_Test.cpp:
        * tests/Manual_Event_Test.cpp:
        * tests/Map_Manager_Test.cpp:
        * tests/Map_Test.h:
        * tests/Map_Test.cpp:
        * tests/Max_Default_Port_Test.h:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/Message_Block_Test.cpp:
        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/Message_Queue_Test.cpp:
        * tests/Message_Queue_Test_Ex.cpp:
        * tests/Missing_Svc_Conf_Test.cpp:
        * tests/Multihomed_INET_Addr_Test.cpp:
        * tests/Multihomed_INET_Addr_Test_IPV6.cpp:
        * tests/NDDS_Timer_Test.cpp:
        * tests/Naming_Test.cpp:
        * tests/Network_Adapters_Test.h:
        * tests/Network_Adapters_Test.cpp:
        * tests/New_Fail_Test.cpp:
        * tests/NonBlocking_Conn_Test.h:
        * tests/NonBlocking_Conn_Test.cpp:
        * tests/Notify_Performance_Test.cpp:
        * tests/Object_Manager_Flipping_Test.cpp:
        * tests/Object_Manager_Test.cpp:
        * tests/Obstack_Test.cpp:
        * tests/OrdMultiSet_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Priority_Buffer_Test.cpp:
        * tests/Priority_Reactor_Test.h:
        * tests/Priority_Reactor_Test.cpp:
        * tests/Priority_Task_Test.cpp:
        * tests/Proactor_Test.h:
        * tests/Proactor_Timer_Test.cpp:
        * tests/Process_Env_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * tests/Process_Manual_Event_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/Process_Semaphore_Test.cpp:
        * tests/Process_Strategy_Test.h:
        * tests/Process_Strategy_Test.cpp:
        * tests/Process_Test.cpp:
        * tests/QtReactor_Test.cpp:
        * tests/RB_Tree_Test.h:
        * tests/RB_Tree_Test.cpp:
        * tests/RW_Process_Mutex_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test.cpp:
        * tests/Reactor_Dispatch_Order_Test_Dev_Poll.cpp:
        * tests/Reactor_Exceptions_Test.cpp:
        * tests/Reactor_Fairness_Test.h:
        * tests/Reactor_Fairness_Test.cpp:
        * tests/Reactor_Notify_Test.cpp:
        * tests/Reactor_Performance_Test.h:
        * tests/Reactor_Performance_Test.cpp:
        * tests/Reactor_Registration_Test.cpp:
        * tests/Reactor_Timer_Test.cpp:
        * tests/Reactors_Test.cpp:
        * tests/Reader_Writer_Test.cpp:
        * tests/Recursive_Condition_Bug_Test.cpp:
        * tests/Recursive_Condition_Test.cpp:
        * tests/Recursive_Mutex_Test.cpp:
        * tests/Refcounted_Auto_Ptr_Test.h:
        * tests/Refcounted_Event_Handler_Test_DevPoll.cpp:
        * tests/Reference_Counted_Event_Handler_Test.cpp:
        * tests/Reverse_Lock_Test.cpp:
        * tests/SOCK_Connector_Test.cpp:
        * tests/SOCK_Dgram_Bcast_Test.cpp:
        * tests/SOCK_Dgram_Test.cpp:
        * tests/SOCK_Netlink_Test.cpp:
        * tests/SOCK_SEQPACK_SCTP_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp:
        * tests/SPIPE_Test.cpp:
        * tests/SSL/Main.cpp:
        * tests/SSL/SSL_Asynch_Stream_Test.cpp:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.h:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
        * tests/SString_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
        * tests/Semaphore_Test.cpp:
        * tests/Sig_Handlers_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/Sigset_Ops_Test.cpp:
        * tests/Simple_Message_Block_Test.cpp:
        * tests/Singleton_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
        * tests/TP_Reactor_Test.h:
        * tests/TP_Reactor_Test.cpp:
        * tests/TSS_Static_Test.cpp:
        * tests/TSS_Test.cpp:
        * tests/TSS_Test_Errno.h:
        * tests/Task_Ex_Test.cpp:
        * tests/Task_Test.cpp:
        * tests/Thread_Attrs_Test.cpp:
        * tests/Thread_Creation_Threshold_Test.cpp:
        * tests/Thread_Manager_Test.cpp:
        * tests/Thread_Mutex_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.h:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.h:
        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Thread_Pool_Test.cpp:
        * tests/Time_Service_Test.cpp:
        * tests/Time_Value_Test.cpp:
        * tests/Timeprobe_Test.cpp:
        * tests/Timer_Cancellation_Test.cpp:
        * tests/Timer_Queue_Reference_Counting_Test.cpp:
        * tests/Timer_Queue_Test.cpp:
        * tests/TkReactor_Test.cpp:
        * tests/Tokens_Test.cpp:
        * tests/UPIPE_SAP_Test.cpp:
        * tests/UUID_Test.cpp:
        * tests/Unbounded_Set_Test.cpp:
        * tests/Unload_libACE.cpp:
        * tests/Upgradable_RW_Test.h:
        * tests/Upgradable_RW_Test.cpp:
        * tests/Vector_Test.cpp:
        * tests/WFMO_Reactor_Test.cpp:
        * tests/XtAthenaReactor_Test.cpp:
        * tests/XtMotifReactor_Test.cpp:
          Converted to doxygen style of documentation

Wed Mar 23 18:36:19 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Also check numeric log level for dds4ccm

Wed Mar 23 13:17:54 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Enabled the numeric dance log check at a lower level so it will
          run with the fuzz build.

Tue Mar 22 21:09:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.h:
          Doxygen change

        * ace/config-win32-borland.h:
          Updated comment

Tue Mar 22 15:40:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_ifaddrs.h:
          New wrapper file

        * ace/OS_NS_stdlib.inl:
        * ace/config-WinCE.h:
          Added new define to not check for OS in OS_NS_ file

        * ace/Sock_Connect.cpp:
          use new os_ifaddrs.h wrapper

        * tests/Dirent_Test.cpp:
        * tests/Test_Output.cpp:
          Cleanup

Tue Mar 22 09:24:54 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-openbsd.h:
          Added back ACE_LACKS_SETSCHED. OpenBSD does not provide
          implementation.

Tue Mar 22 09:18:44 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Reverted: Mon Mar 21 16:10:05 UTC 2011  Olli Savia  <ops@iki.fi>
          Put back ACE_LACKS_RLIMIT_NOFILE. The problem with LynxOS 4.2
          seems to be rlimit.

Mon Mar 21 20:40:36 UTC 2011  James Edmondson  <james.r.edmondson@vanderbilt.edu>

        * bin/fuzz.pl:
          Commented out lines that may be used for debugging the
          trace error checker

Mon Mar 21 20:18:52 UTC 2011  James Edmondson  <james.r.edmondson@vanderbilt.edu>

        * bin/fuzz.pl:
          Reverted previous changes

Mon Mar 21 19:07:52 UTC 2011  James Edmondson  <james.r.edmondson@vanderbilt.edu>

        * bin/fuzz.pl:
          Stopped fuzz.pl from looking into lib/bin/Debug/Release
          Stopped fuzz.pl from considering *C.* and *S.* generated files
          Stopped fuzz.pl from considering *_export.h

Mon Mar 21 19:02:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * html/Stats/index.shtml:
          Playstation xampler results are not available anymore

Mon Mar 21 16:10:05 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          ACE_LACKS_THREAD_PROCESS_SCOPING is needed on LynxOS 4.2.

Mon Mar 21 15:15:52 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Also check DANCE_TRACE

Mon Mar 21 14:23:46 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-openbsd.h:
        * include/makeinclude/platform_openbsd.GNU:
          Improved support for OpenBSD.

Mon Mar 21 12:48:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp:
        * ace/OS_NS_netdb.h:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_netdb.cpp:
        * ace/OS_NS_pwd.h:
        * ace/Ping_Socket.h:
        * ace/Process.cpp:
        * ace/ace_wchar.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/os_stdio.h:
          Cleanup, removed lot of old VxWorks code not needed anymore

        * include/makeinclude/platform_sunos5_common.GNU:
          Add to the correct make flags

Sat Mar 19 15:01:11 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Removed this file.

        * ace/config-linux.h:
          Merged contents of config-linux-common.h to config-linux.h
          for easier maintenance.

        * ACE-INSTALL.html:
          Update due to changes above.

Sat Mar 19 14:57:04 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Improved support for LynxOS 4.2 and 5.0.

        * include/makeinclude/platform_lynxos.GNU:
          Removed unused SOBUILD variable.

Sat Mar 19 06:17:54 UTC 2011  Olli Savia  <ops@iki.fi>

        * examples/APG/ThreadSafety/Tokens.cpp:
          Fixes due to ACE rand_r() changes.

Fri Mar 18 05:21:08 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Layout changes and cleanups.

        * include/makeinclude/platform_lynxos.GNU:
          Use -lnetinet instead of -lbsd

Fri Mar 18 05:16:45 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/README:
          Removed some macros which are no longer used.

Fri Mar 18 05:10:32 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/Message_Queue_Test.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 21:13:36 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/Message_Queue_Test.cpp:
        * tests/Timer_Queue_Test.cpp:
        * tests/randomize.h:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 15:03:52 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * include/makeinclude/platform_macosx_lion.GNU:

          Fuzz.

Thu Mar 17 09:48:53 UTC 2011  Olli Savia  <ops@iki.fi>

        * examples/Shared_Malloc/test_malloc.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 07:51:20 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/README:
        * ace/config-sunos5.4-g++.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/os_include/os_stdlib.h:
        * tests/randomize.h:
          Removed references to unused ACE_RANDR_TYPE.

Thu Mar 17 07:32:34 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdlib.h:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_stdlib.cpp:
          Changed rand_r() API to conform POSIX.

        * ace/config-freebsd.h:
        * ace/config-openbsd.h:
        * ace/config-openvms.h:
        * ace/config-rtems.h:
        * ace/config-vxworks6.4.h:
        * ace/config-win32-common.h:
          Added/removed some defines due to change above.

Thu Mar 17 07:20:50 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-WinCE.h:
          Added ACE_LACKS_STRTOK_R.

Thu Mar 17 04:58:19 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/config-macosx-lion.h:
        * include/makeinclude/platform_macosx_lion.GNU:
        * include/makeinclude/platform_macosx_snowleopard.GNU:

          Updated to Mac config/platform files.

Thu Mar 17 04:55:30 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Added check at level 6 for numeric log priorities in DAnCE.

Wed Mar 16 14:34:57 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/os_include/os_pwd.h:
          Removed legacy _posix_getpwnam_r() declaration.

Wed Mar 16 14:27:15 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_pwd.inl:
        * ace/config-lynxos.h:
          Renamed ACE_HAS_NONSTD_GETPWNAM_R to ACE_HAS_LYNXOS4_GETPWNAM_R
          since LynxOS 4.x is the only platform that has nonstandard
          getpwnam_r() implementation.

Wed Mar 16 14:12:56 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-win32-msvc-7.h:
          Added ACE_LACKS_STRTOK_R ACE_LACKS_LOCALTIME_R.

Wed Mar 16 14:00:26 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_time.cpp:
          Rearranged localtime_r() code to eliminate macro
          ACE_HAS_REENTRANT_FUNCTIONS.

        * ace/config-win32-mingw.h:
          Added ACE_LACKS_STRTOK_R ACE_LACKS_LOCALTIME_R.

Wed Mar 16 13:49:11 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ICMP_Socket.cpp:
          Use ACE_OS

Wed Mar 16 12:08:36 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-7.h: New config for AIX 7.

Wed Mar 16 09:00:45 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
          Fixed format specifiers for 64bit PPC

Wed Mar 16 06:26:54 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/README:
          Removed ACE_HAS_PTHREADS_STD.

Tue Mar 15 21:24:11 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-kfreebsd.h:
        * ace/config-lynxos.h:
        * ace/config-macosx-leopard.h:
        * ace/config-openbsd.h:
        * ace/config-win32-interix.h:
          Removed ACE_HAS_PTHREADS_STD.

        * tests/Service_Config_Test.cpp:
          Check features against ACE_HAS_PTHREADS instead of
          ACE_HAS_PTHREADS_STD.

Tue Mar 15 19:47:01 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_string.h:
        * ace/OS_NS_string.inl:
        * ace/OS_NS_string.cpp:
          Rearranged strtok_r() code to eliminate macro
          ACE_HAS_REENTRANT_FUNCTIONS.

Tue Mar 15 19:29:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-sunos5.5.h:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Moved _POSIX_PTHREAD_SEMANTICS definition from config file to
          command line.

Mon Mar 14 18:58:40 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-sunos5.5.h:
          Define _POSIX_PTHREAD_SEMANTICS if it not already set.
          Hopefully fixes getpwnam_r() problems.

Mon Mar 14 11:01:41 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-openvms.h:
          Removed ACE_HAS_NONSTD_GETPWNAM_R.

Mon Mar 14 08:16:33 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.h:
        * ace/OS_NS_time.inl:
        * ace/OS_NS_time.cpp:
          Removed ghs method

        * ace/Guard_T.h:
          Doxygen change

        * ace/OS_NS_sys_utsname.cpp:
        * ace/Process.cpp:
        * ace/Process_Manager.cpp:
        * ace/WFMO_Reactor.cpp:
        * ace/config-sunos5.5.h:
        * ace/config-sunos5.7.h:
        * ace/config-vxworks6.4.h:
        * ace/config-win32-msvc.h:
          Removed ghs workaround

        * tests/Multihomed_INET_Addr_Test.cpp:
          Layout change

        * ace/gethrtime.cpp:
          Removed this file, ghs is not supported anymore a long time

        * ace/ace.mpc:
        * ace/Makefile.am:
          Removed gethrtime.cpp

Sun Mar 13 10:32:34 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OS_Test.cpp (test_getpwnam_r):
          Handle case where getlogin() returns 0.

Sun Mar 13 09:37:13 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Service_Object.cpp:
        * ace/Naming_Context.cpp:
        * performance-tests/UDP/udp_test.cpp:
        * performance-tests/SCTP/Options_Manager.cpp:
        * apps/gperf/src/Options.cpp:
        * apps/JAWS/clients/Blobby/Blob_Handler.cpp:
        * examples/Log_Msg/test_callback.cpp:
        * examples/IPC_SAP/FILE_SAP/client.cpp:
        * examples/Service_Configurator/IPC-tests/client/broadcast_client_test.cpp:
          Fixed compile warnings from incorrect use of ACE_TCHAR* type in
          printf in wchar builds.

Sat Mar 12 09:26:56 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * ace/config-linux.h:
          Disable clock_{get,set}time() for single thread build.

Fri Mar 11 20:07:05 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/config-openbsd.h:
          Attempted to fix warnings about wrong format for size_t type
          on OpenBSD same as this works on NetBSD. It appears that %u is
          too little for size_t, let's try %lu.

Fri Mar 11 16:30:16 UTC 2011  Olli Savia  <ops@iki.fi>

        * apps/JAWS/server/HTTP_Request.cpp:
          Fixed compile error due getpwnam_r() changes.

Fri Mar 11 12:24:43 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OS_Test.cpp:
          Compile fix for platforms that lack pwd-functions.

Fri Mar 11 12:09:00 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_pwd.h:
        * ace/OS_NS_pwd.inl:
          Rewrote getpwnam_r(). Changed API to conform POSIX.
          Fixes Bug #3952.

        * ace/config-aix-5.x.h:
        * ace/config-cygwin32.h:
        * ace/config-freebsd.h:
        * ace/config-hpux-11.00.h:
        * ace/config-kfreebsd.h:
        * ace/config-linux.h:
        * ace/config-lynxos.h:
        * ace/config-netbsd.h:
        * ace/config-openbsd.h:
        * ace/config-openvms.h:
        * ace/config-rtems.h:
        * ace/config-sunos5.5.h:
        * ace/config-win32-interix.h:
          Config changes due getpwnam_r() rewrite and API change.

        * tests/OS_Test.cpp:
          Added atest for getpwnam_r().

Thu Mar 10 16:42:30 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/fuzz.pl:
          Fix the test so it correctly ignores OS.h when explicitly disabled.

Thu Mar 10 16:42:09 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/ace.mpc: Add OS.h to the Headers to be installed. Thanks to
          Phil Mesnier for pointing this out.

Thu Mar 10 11:41:15 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/MEM_Stream_Test.cpp:
          Fixed printf warning on MinGW.

Thu Mar 10 11:04:08 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * include/makeinclude/platform_linux_suncc.GNU:
          Sun Studio related updates.

Thu Mar 10 10:37:44 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/OS_NS_netdb.inl:
        * ace/Stack_Trace.cpp:
          Fixed warnings on VxWorks.

        * ace/ACE.cpp:
          Added a cast for a type that is expected by printf to be long.

        * examples/Timer_Queue/Custom_Handler.cpp:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.cpp:
          Added casts for arguments to printf as it expects unsigned long.

Thu Mar 10 08:29:30 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Added some feature defines.

Thu Mar 10 07:31:51 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Include config-posix.h on non-NPTL platforms as well.

        * ace/config-linux.h:
          Compile fixes for single thread build.

Wed Mar  9 19:14:01 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/OS.h: Re-added OS.h due to popular demand. It's been slimmed down
          from its pre-ACE 6 days, now including primarily the OS_NS_*.h files
          which can be disabled by setting the preprocessor macro
          DO_NOT_INCLUDE_OS_H before including OS.h.
          This file is here to maintain backwards build compatibility with
          older ACE versions. Using it will slow your compile time over
          simply including the requisite OS_NS_*.h file(s).

        * bin/fuzz.pl: Added a new test check_for_include_OS_h to be sure no
          source within ACE includes ace/OS.h.

        * tests/OS_Test.cpp: Added #include "ace/OS.h" to be sure that it
          at least compiles.

        * NEWS: Note that OS.h is back.

Wed Mar  9 16:22:26 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/rules.local.GNU:

          Removed "-e config.h" from the depgen.pl invocation, we do want
          dependencies included from config.h to be considered.

Wed Mar  9 10:38:39 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Service_Object.cpp:
          Fixed incorrect arguments for the provided format.

        * ace/Process.h:
          Reverted my change from 'Mon Mar  7 16:14:33 UTC 2011'. GCC cannot
          check formats in wide strings.

Tue Mar  8 15:36:34 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux.h:
          Put back accidentally removed MT_SAFE define.

Tue Mar  8 10:31:41 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/config-macros.h:
          Fixed compilation errors from my addition of
          ACE_GCC_FORMAT_ATTRIBUTE.

Tue Mar  8 06:39:00 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux.h:
          Cleanup.

Mon Mar  7 16:14:33 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/config-g++-common.h:
        * ace/OS_NS_stdio.h:
        * ace/Process.h:
        * ace/OS_NS_time.h:
          Added format GCC __attribute__ to printf-like functions.

        * tests/TP_Reactor_Test.cpp:
        * apps/gperf/src/Options.cpp:
        * examples/APG/Threads/Message_Blocks.cpp:
          Fixed warnings from incorrect use of printf format.

Sun Mar  6 14:49:04 UTC 2011  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ACE-INSTALL.html: Update this document to explain how to use the
          "make install" step for MinGW.  Thanks to Laura Aut�n Garc�a
          <darklulu+ace at gmail dot com> for contributing this
          description.

Mon Mar  7 09:38:57 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_Initializer.cpp:
        * ace/SSL/SSL_Initializer.h:
          Added SSL initializer which is a part of the fix for bug#3418.
          The initializer if used does correct SSL cleanup. Moved SSL context
          singleton cleanup from ACE_SSL_Context::ssl_library_fini() to
          the initializer.

Sun Mar  6 20:53:26 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux.h:
          Removed some old checks.

Sun Mar  6 13:50:09 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-openbsd.h:
          Define _THREAD_SAFE.

Sun Mar  6 09:20:22 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/INET_Addr_Test.cpp:
        * tests/Multihomed_INET_Addr_Test.cpp:
          Fixed gcc 4.5 warnings

        * tests/Log_Thread_Inheritance_Test.cpp:
        * tests/MT_Reference_Counted_Notify_Test.cpp:
        * tests/NDDS_Timer_Test.cpp:
          Zapped some empty lines

Sat Mar  5 17:31:08 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-freebsd.h:
          Minor layout changes.

        * ace/config-openbsd.h:
          Define MT_SAFE. Minor layout changes.

        * ace/config-macros.h:
          Do not define _REENTRANT. It should be defined in platform
          specific files if needed.

Sat Mar  5 12:14:27 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/gnuace.features:
          Set qt4 instead of qt to default 1

        * include/makeinclude/platform_g++_common.GNU:
          Also don't use strict aliasing with gcc 4.2/4.3

Sat Mar  5 07:16:12 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux.h:
          Removed some GLIBC 2.1 related settings.

Fri Mar  4 16:00:26 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-freebsd.h:
        * include/makeinclude/platform_freebsd.GNU:
          Threads related cleanup.

Fri Mar  4 14:54:49 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_signal.h:
          OpenBSD needs os_pthread.h to pick up pthread_sigmask().

        * ace/config-openbsd.h:
        * include/makeinclude/platform_openbsd.GNU:
          Threads related cleanup.

Fri Mar  4 12:39:39 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_linux_icc.GNU:
          Fixed linking problems.

Thu Mar  3 15:49:52 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-common.h: Ensure that _AMD64_ is defined for
          both MPC and non-MPC projects built for 64-bit Windows.

Thu Mar  3 12:22:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao.spec:
          Further improvements to this file, thanks to Glenn Zickert
          <gzickert at comcast dot net> for reporting these

Wed Mar  2 20:56:42 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Removed some ancient settings.

Wed Mar  2 12:42:58 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * ace/config-linux.h:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_linux_common.GNU:
          Simplified setting of ACE_HAS_AIO_CALLS.

Tue Mar  1 11:31:55 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_linux.GNU:
          Fixed setting of CC and CXX variables (conditional assignment
          doesn't work in this case).

Tue Mar  1 07:35:43 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_linux.GNU:
          Added missing SOFLAGS += -pthread.

Mon Feb 28 21:05:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-WinCE.h:
        * ace/config-cygwin32.h:
        * ace/config-hpux-11.00.h:
        * ace/config-kfreebsd.h:
        * ace/config-lynxos.h:
        * ace/config-netbsd.h:
        * ace/config-openbsd.h:
        * ace/config-win32-interix.h:
          No need to define ACE_HAS_POSITION_INDEPENDENT_POINTERS since it
          is default setting.

Mon Feb 28 20:29:59 UTC 2011  Steve Huston  <shuston@riverace.com>

        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.cpp:
        * examples/ASX/UPIPE_Event_Server/Event_Analyzer.cpp: Replaced the
          name "mod_name" with "module_name" to avoid a clash with macro
          defined in /usr/include/sys/stropts.h encountered when optimized
          build was done.

Mon Feb 28 18:10:19 UTC 2011  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: Remove the -qfuncsect
          option from CCFLAGS; it caused an occasional odd problem and the
          only reason it was added (Jul 17 2002) was to try and remove
          duplicate symbol diagnostics from template instantiations.
          Thanks to Phil Mesnier for raising this issue and identifying
          the fix.

Mon Feb 28 13:31:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/index.html:
        * html/index.html:
          Mention DAnCE

Mon Feb 28 13:18:53 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/make_release.py:
          Reverted the change tagged as
          'Thu Oct 28 11:40:01 UTC 2010  Vladimir Zykov'.

Mon Feb 28 09:21:21 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/config-freebsd.h:
          Do not define __ACE_INLINE__

Sun Feb 27 08:50:14 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_linux.GNU:
          Use option "-pthread" instead of setting _REENTRANT macro.

Sat Feb 26 07:31:41 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Added missing DCCFLAGS and OCCFLAGS.

Sat Feb 26 07:24:33 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
          Added missing DCCFLAGS and OCCFLAGS.

Fri Feb 25 12:19:58 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/config-lite.h: Adjust the __SUNPRO_CC version checks to include
          Sun Studio 12.2. Thanks to Henk Jan Priester <hjpriester@gmail.com>
          for this fix.

        * THANKS: Added Henk Jan Priester to the thank-you list.

Wed Feb 23 10:24:02 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Connector.cpp:
          Changed initialization of ACE_Strategy_Connector so that its
          CREATION_STRATEGY and its base class ACE_Connector use reactor
          provided by user instead of the default one returned by
          ACE_Reactor::instance().

Wed Feb 23 10:23:36 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Removed unneeded options. Minor cleanups.

Wed Feb 23 08:20:01 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_netbsd.GNU:
          Cleanup.

Wed Feb 23 08:12:47 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
          Added some flags. Minor cleanups.

Tue Feb 22 12:17:51 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/index.html:
          Updated location of the daily doxygen tree to
          http://doxygen.theaceorb.nl

Mon Feb 21 09:14:55 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
          Removed legacy threads related settings.

Sun Feb 20 11:04:02 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
          Removed CPPFLAGS from SOFLAGS.

Sat Feb 19 09:07:32 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Removed unneeded compile options

Fri Feb 18 22:20:42 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * ace/Functor_String.h:
        * ace/Functor_String.inl:

          Specialized the string functors for std::string.

Fri Feb 18 13:37:44 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Removed -fsigned-char compiler option.

Thu Feb 17 19:26:57 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_g++_common.GNU:
          Added pipes ?= 1

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_common.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_win32_dmc.GNU:
        * include/makeinclude/platform_win32_icc.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
          Removed setting of pipes variable.
          It now set in platform_g++_common.GNU.

Thu Feb 17 18:53:07 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_aix_g++.GNU:
        * include/makeinclude/platform_hpux_gcc.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_common.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
          Removed CCFLAGS += $(CFLAGS) $(FLAGS_C_CC)

Thu Feb 17 18:36:48 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Replaced ACE_LIB_TEXT with ACE_TEXT, thanks to Andrew Hill
          <lists at thefrog dot net> for reporting this

Thu Feb 17 08:35:31 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_openbsd.GNU:
          Removed CCFLAGS += $(CFLAGS) $(FLAGS_C_CC)

Thu Feb 17 08:20:57 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/wrapper_macros.GNU:
          Added $(FLAGS_C_CC) to compile and link rules.

        * include/makeinclude/platform_linux.GNU:
          Removed CFLAGS+=$(FLAGS_C_CC) and CCFLAGS+=$(FLAGS_C_CC)

Wed Feb 16 12:41:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Moved some settings from CFLAGS to CPPFLAGS
          and FLAGS_C_CC.

Wed Feb 16 09:12:53 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_openbsd.GNU:
          Removed legacy settings.

Wed Feb 16 08:41:23 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
          Removed legacy settings. Layout changes.

Tue Feb 15 20:46:01 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_aix_g++.GNU:
          Removed "-W -Wall" from CFLAGS.

Tue Feb 15 20:39:49 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_aix_g++.GNU:
        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_hpux_gcc.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_common.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
          Make sure FLAGS_C_CC is added to CCFLAGS.

Tue Feb 15 20:20:36 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_common.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
          Moved setting "-Wall -W -Wpointer-arith" from platform_xxx.GNU
          files to platform_g++_common.GNU.

Tue Feb 15 20:00:34 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          Removed TEMPLATES_FLAG which is no longer used.

Tue Feb 15 14:40:21 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Monitor_Control/Monitor_Group.cpp:
          Fixed warning

Mon Feb 14 20:20:11 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * ace/Lock_Adapter_T.inl:

          Constructor moved from .cpp to .inl in
          Wed Jan 26 13:53:27 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>
          requires #include in the .inl as well.

Mon Feb 14 09:42:38 UTC 2011  Martin Corino  <corino_m@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          Added change to enable suppression of strict-aliasing checks
          (-fno-strict-aliasing) by default for GCC >= 4.4.
          Default behaviour can be suppressed by explicitly setting
          no_strict_aliasing=0 in platform_macros.GNU.

Sun Feb 13 13:31:21 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.am:
          Removed file that got removed

Sat Feb 12 09:13:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Options.h:
        * apps/JAWS2/JAWS/Cache_Object.h:
          Reordered includes to fix compile errors with inline enabled

Fri Feb 11 20:25:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
          Fixed cross compile

Fri Feb 11 11:16:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Feb  9 12:53:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/CDR_Size.h:
                * ace/Lib_Find.h:
                * ace/Local_Name_Space_T.h:
                * ace/Lock.h:
                * ace/Message_Block.h:
                * ace/Name_Space.h:
                * ace/Naming_Context.h:
                  Doxygen changes

        Tue Feb  8 20:52:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/ACE.cpp:
                  Removed support for deprecated VxWorks versions

                * ace/Active_Map_Manager.h:
                  Doxygen changes

        Tue Feb  8 20:47:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_linux_icc.GNU:
                  Intel C++ 12 has support for visibility

                * include/makeinclude/rules.bin.GNU:
                * include/makeinclude/wrapper_macros.GNU:
                  Removed support for Chorus

        Tue Feb  8 20:44:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/os_include/os_dirent.h:
                * ace/os_include/os_fcntl.h:
                * ace/os_include/os_limits.h:
                * ace/os_include/os_netdb.h:
                * ace/os_include/os_stdio.h:
                * ace/os_include/sys/os_time.h:
                  Removed support for deprecated VxWorks versions

        Tue Feb  8 19:14:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * examples/Reactor/Misc/notification.cpp:
                * examples/Reactor/Misc/pingpong.cpp:
                  Removed old support for chorus

        Tue Feb  8 19:11:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tests/Atomic_Op_Test.cpp:
                * tests/Dirent_Test.cpp:
                * tests/SSL/SSL_Asynch_Stream_Test.cpp:
                * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
                * tests/Thread_Manager_Test.cpp:
                * tests/Thread_Pool_Reactor_Resume_Test.cpp:
                  Removed old support for chorus and vxworks 5.5

        Tue Feb  8 13:37:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/fuzz.pl:
                * bin/sets-manager.py:
                * bin/svn_props.py:
                  Check py files for Id

        Tue Feb  8 10:40:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * src/Bool_Array.h:
                * src/Bool_Array.cpp:
                * src/Gen_Perf.h:
                * src/Hash_Table.h:
                * src/Hash_Table.cpp:
                * src/Iterator.h:
                * src/Iterator.cpp:
                * src/Key_List.h:
                * src/Key_List.cpp:
                * src/List_Node.h:
                * src/Options.h:
                * src/Options.cpp:
                * src/Vectors.h:
                * src/Vectors.cpp:
                * src/gperf.cpp:
                  Removed checks for ACE_HAS_GPERF, just always compile this executable.

        Tue Feb  8 10:21:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/IOStream_T.h:
                * ace/IOStream.h:
                * ace/IOStream.cpp:
                  Doxygen changes

                * ace/config-netbsd.h:
                  Removed define which we don't have anymore

                * ace/config-macosx.h:
                * ace/config-openbsd.h:
                * ace/config-win32-interix.h:
                  Added new defines

                * ace/os_include/sys/os_select.h:
                  Updated comment

                * ace/OS_NS_netdb.cpp:
                  Use new define

        Mon Feb  7 09:53:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_linux_icc.GNU:
                  Fix for Intel C++ 12.0

        Sun Feb  7 19:35:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_g++_common.GNU:
                  Added gprof for compiling for gprof, gcov for compiling with gcov

        Sat Feb  5 13:49:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_aix_g++.GNU:
                * include/makeinclude/platform_freebsd.GNU:
                * include/makeinclude/platform_gnuwin32_common.GNU:
                * include/makeinclude/platform_hpux_gcc.GNU:
                * include/makeinclude/platform_linux.GNU:
                * include/makeinclude/platform_linux_icc.GNU:
                * include/makeinclude/platform_linux_pgi.GNU:
                * include/makeinclude/platform_linux_suncc.GNU:
                * include/makeinclude/platform_lynxos.GNU:
                * include/makeinclude/platform_macosx.GNU:
                * include/makeinclude/platform_macosx_common.GNU:
                * include/makeinclude/platform_macosx_icc.GNU:
                * include/makeinclude/platform_macosx_panther.GNU:
                * include/makeinclude/platform_netbsd.GNU:
                * include/makeinclude/platform_openbsd.GNU:
                * include/makeinclude/platform_sunos5_g++.GNU:
                * include/makeinclude/platform_sunos5_sunc++.GNU:
                * include/makeinclude/platform_vxworks6.2.GNU:
                * include/makeinclude/platform_vxworks6.3.GNU:
                * include/makeinclude/platform_win32_dmc.GNU:
                * include/makeinclude/platform_win32_icc.GNU:
                * include/makeinclude/platform_win32_interix.GNU:
                * include/makeinclude/wrapper_macros.GNU:
                  Cleanup, removed old template flags

        Thu Feb  3 13:05:13 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/config-qnx-neutrino.h:
                * ace/config-qnx-rtp-common.h:
                * ace/config-qnx-rtp.h:
                  Cleanup

                * ace/config-minimal.h:
                  Removed this file, not used

        Thu Feb  3 09:54:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/config-qnx-rtp.h:
                  Just one file for qnx, pre 6.2 support is already removed

                * ace/config-qnx-rtp-62x.h:
                * ace/config-qnx-rtp-pre62x.h:
                  Removed these files.

        Wed Feb  2 11:22:13 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/ace.doxygen:
                  Added more macros

                * ace/config-doxygen.h:
                  Removed this file, not needed for doxygen

        Tue Feb  1 15:24:47 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Cache_Map_Manager_T.cpp:
                * ace/Cached_Connect_Strategy_T.cpp:
                * ace/Hash_Cache_Map_Manager_T.inl:
                * ace/Hash_Cache_Map_Manager_T.cpp:
                  Removed ACE_T1/ACE_T2, this improves doxygen documentation

                * ace/Guard_T.h:
                * ace/Asynch_IO_Impl.h:
                  Doxygen fixes
                * etc/ace.doxygen:

                * ace/Hash_Cache_Map_Manager_T.h:
                  Removed not needed define

        Thu Jan 27 08:34:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Condition_T.h:
                * ace/Lock.h:
                  Doxygen changes

                * tests/tests.mpc:
                  Updated qt base project

        Wed Jan 26 13:53:27 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Lock_Adapter_T.h:
                  Layout, doxygen changes

                * ace/Lock_Adapter_T.inl:
                * ace/Lock_Adapter_T.cpp:
                  Moved constructor to inline, the old compiler mentioned is deprecated
                  a long time ago

                * ace/QtReactor/QtReactor.h:
                  Removed Qt3 support

                * ace/QtReactor/ace_qt3reactor.mpc:
                * bin/MakeProjectCreator/config/ace_qt3.mpb:
                * bin/MakeProjectCreator/config/ace_qtreactor.mpb:
                  Removed these files, qt3 support is removed

        === end changelog ===

Wed Feb  9 08:41:00 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Moved some settings from CFLAGS to CPPFLAGS and
          FLAGS_C_CC.

Wed Feb  9 08:25:29 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Moved some common settings from Cygwin/MinGW config files to
          platform_gnuwin32_common.GNU. Some cleanups.

Tue Feb  8 14:52:43 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/run_test.lst:
          Disabled two tests on Cygwin.

Tue Feb  8 13:17:55 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Moved some common setting from Cygwin/MinGW config files to
          platform_gnuwin32_common.GNU.

Fri Feb  4 20:04:13 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OS_Test.cpp:
          Use ACE::is_inequal() instead of ACE::is_equal().

Fri Feb  4 20:02:28 UTC 2011  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
          Added a simple helper ACE::is_inequal() which compares inequality of
          two objects without using operator!=. This is useful for comparing
          floating point values.

Fri Feb  4 19:51:33 UTC 2011  Olli Savia  <ops@iki.fi>

        * examples/APG/ThreadManagement/Async_Cancel.cpp:
          Removed legacy HP-UX workaround. This should fix
          "statement is unreachable" warning on HP-UX builds.

Fri Feb  4 18:35:52 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Another cleanup.

Fri Feb  4 13:58:44 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Fixed to use {cpu,tune}modelflag settings in platform_g++_common.GNU

Fri Feb  4 12:21:23 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_mingw32.GNU:
          Fix for previous commit.

Fri Feb  4 12:13:43 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Moved MinGW specific settings to platform_mingw32.GNU

Thu Feb  3 12:26:23 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          More cleanups

Wed Feb  2 11:13:29 UTC 2011  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Cleanup.

Tue Feb  1 14:28:18 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.cpp (operator+=): Add a temporary for the return
          value to quiet an IBM XL C++ 10 optimizer warning about returning
          the address of a temporary. No, I'm not kidding.

Fri Jan 28 13:39:54 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-bug-process.html:
          Updated email addresses

Fri Jan 28 13:23:29 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
        * bin/diff-builds-and-group-fixed-tests-only.sh:
        * docs/Download.html:
        * etc/index.html:
          Updated to make the 6.0.1 release public

Fri Jan 28 11:21:05 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 6.0.1 released.

Thu Jan 27 08:30:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
          Predefine ACE_HAS_THREADS to get several missing classes added to
          the documentation

Wed Jan 26 20:17:28 UTC 2011  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: If XL C/C++ 10.1 is used,
          use the same compiler options as for XL C/C++ 9.

Wed Jan 26 08:58:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/tests.mpc:
          Added empty resource file for 2980 dll

Tue Jan 25 15:17:58 UTC 2011  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/config/acemfcexe.mpb: The SubSystem value
          for "Windows" on VC10 is "Windows", not "2" as it is for VC8-9.

        * tests/ACE_Init_Test.ico: Reverted changes from
          Fri Jan 21 00:15:19 UTC 2011  Steve Huston  <shuston@riverace.com>
          The VC8 resource compiler had problems with the new .ico file.
          Although it's an issue with the VC8 resource compiler that can be
          worked around, the test builds and works fine with the older
          ico file, so I just put it back.

        * tests/ACE_Init_Test_Resource.h: Fixed fuzz errors.

        * tests/ACE_Init_Test.rc: Replaced #include afxres.h with winres.h.
          Although VS generates it that way, afxres.h isn't needed unless
          MFC is used and won't be present when MFC components aren't installed.

Tue Jan 25 10:52:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/Object_Manager.cpp:
          Fixed WinCE compilation errors.

Sun Jan 23 18:02:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_common.GNU:
          Fixed problems with tcl flags

Fri Jan 21 17:04:29 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Set ACE_LACKS_(STR|WCS)TO[U]LL when
          the requisite long-long compiler settings are missing. Enables
          use of these functions when they're available.

        * m4/ace_func.m4: Remove the parts of ACE_FUNC_WCSTOLL and
          ACE_FUNC_WCSTOULL that set ACE_LACKS_*_PROTOTYPE. The use of
          the ACE_LACKS_*_PROTOTYPE was removed from ACE code in
          Thu Jan 20 11:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>
          plus, it's wrong. The functions (at least on HP-UX, which seems
          to center on the issue here) are available when needed via a
          #pragma extern, which effectively inlines the code from the
          compiler. Adding a prototype is the wrong thing to do in this
          case.

        * m4/compiler.m4: Add -ext to aCC's options. Turns on long-long.

        * include/makeinclude/platform_hpux_aCC.GNU: Remove all the specific
          macro setting to try and select particular threading features and
          Rogue Wave libs. Use -mt and be done with it. -mt does the right
          thing wrt RW and preprocessor feature macros based on the -AA/-AP
          options. Also add -ext to turn on long-long.

Fri Jan 21 00:15:19 UTC 2011  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/config/acemfcexe.mpb: New base project
          that sets the proper subsystem and macros for an MFC app.

        * tests/ACE_Init_Test.ico:
        * tests/ACE_Init_Test.rc:
        * tests/ACE_Init_Test_Resource.h: Modernized resource defs to let
          ACE_Init_Test build and run properly.

        * tests/tests.mpc: Added the rest of the needed files for ACE_Init_Test
          and made it require mfc; base it off acemfcexe (new, above).

Thu Jan 20 11:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Jan 12 11:57:15 UTC 2011  Martin Corino <mcorino@remedy.nl>

                * examples/OS/Process/process.cpp:
                  Fixed MSVC warning.

        Wed Jan 12 09:21:38 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * apps/gperf/src/Key_List.cpp:
                  Fixed gcc warnings

        Mon Jan 10 13:53:16 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/Log_Msg.h:
                  Doxygen fix

                * ace/Log_Msg.cpp:
                * ace/OS_NS_Thread.cpp:
                * ace/Task.cpp:
                * ace/config-tandem-nsk-mips-v2.h:
                * ace/os_include/sys/os_types.h:
                * apps/gperf/src/Key_List.cpp:
                  Cleanup of MVS support, got deprecated already a long time ago, but
                  seems we forgot todo the cleanup

                * ace/config-mvs.h:
                  Removed

                * ace/config-sunos5.6.h:
                * ace/config-win32-common.h:
                  Zapped some empty lines

        Mon Jan 10 12:38:10 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/ace.doxygen:
                  Doxygen improvement

        Mon Jan 10 09:09:16 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/ace.doxygen:
                * etc/ace_inet.doxygen:
                * etc/ace_man.doxygen:
                * etc/ace_qos.doxygen:
                * etc/ace_rmcast.doxygen:
                * etc/ace_ssl.doxygen:
                * etc/acexml.doxygen:
                  Removed deprecated macros

        Fri Jan  7 08:25:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * debian/patches/11-promote-QtResource-to-qt4.dpatch:
                  Removed part of this patch

        Thu Jan  6 11:20:15 UTC 2011  Martin Corino <mcorino@remedy.nl>

                * ace/Object_Manager.cpp:
                  Simplified preprocessor tests for ACE_DISABLE_WIN32_ERROR_WINDOWS
                  which is ALWAYS explicitly user defined.
                  Added support for using ACE_DISABLE_WIN32_ERROR_WINDOWS in MingW32
                  builds.

        Thu Jan  6 09:46:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_cray.GNU:
                * include/makeinclude/platform_mvs.GNU:
                * include/makeinclude/platform_vxworks5.5.x.GNU:
                  Removed these files, platforms got removed some time ago but
                  seems we forgot to remove these files

        Wed Jan  5 18:20:10 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/config-tandem.h:
                  Removed commented out define

                * ace/os_include/os_string.h:
                * ace/os_include/os_wchar.h:
                  Removed several ACE_LACKS_*_PROTOTYPE guarded code, the defines
                  are never set

        Wed Jan  5 14:02:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/rules.local.GNU:
                  Removed rcs target

        Wed Jan  5 14:00:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/wrapper_macros.GNU:
                  ACE_RCSID has been removed some time ago

        Tue Jan  4 14:20:15 UTC 2011  Martin Corino <mcorino@remedy.nl>

                * examples/OS/Process/process.cpp:
                * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.cpp:
                * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
                * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.cpp:
                  Fixed const char* assignment warnings.

        Tue Jan  4 13:50:15 UTC 2011  Martin Corino <mcorino@remedy.nl>

                * ace/NT_Service.h:
                  Fix to prevent warning concerning const char* assignment.

        Tue Jan  4 11:10:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/MakeProjectCreator/config/ace_tk.mpb:
                  Fixed typo

                * bin/auto_run_tests.pl:
                  Document -ExeSubDir with --help

        Mon Jan  3 15:06:54 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * include/makeinclude/platform_linux_common.GNU:
                  Fixed tcl an tk flags

                * debian/patches/14-fix-tcl-flags.dpatch:
                  Removed this file, merged this into file above

        Mon Jan  3 14:38:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/ace_components:
                * include/makeinclude/component_check.GNU:
                  Removed support for PACE

        Sun Jan  2 13:19:44 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * ace/QtReactor/ace_qt4reactor.mpc:
                  Added missing header

                * ace/ace.mpc:
                * apps/gperf/src/gperf.mpc:
                * bin/MakeProjectCreator/templates/gnu.mpd:
                * bin/ace_install_pkgconfig.pl:
                  Added support for DESTDIR, needed for debian packaghing

                * debian/patches/00list:
                  Removed patches merged upstream

                * debian/patches/12-add-DESTDIR-to-MPC.dpatch:
                  Removed this file.

                * docs/svn/config:
                  Added some more extensions

        Sun Jan  2 12:45:13 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * debian/*:
                  Merged revision 734 from pkg-ace

        === end changelog ===

Mon Jan 17 20:47:01 UTC 2011  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp (handle_accept): If the new handler has
          already set its own proactor pointer, don't reset it. Fixes
          Bugzilla #3947.

Wed Jan 12 21:05:19 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.inl:
        * ace/SPIPE_Stream.inl:

          Use ACE_UNUSED_ARG instead of self assignment to suppress unused
          variable warning.

Wed Jan  5 23:10:05 UTC 2011  Steve Huston  <shuston@riverace.com>

        * tests/Bug_2610_Regression_Test.cpp: Fixed a bunch of ACE_ERROR
          statements to log the actual error cause; also fixed for IPv6.

Wed Dec 29 16:10:21 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/SOCK_Stream.h: Noted that the timeout on the counted send/recv
          methods applies per operation, restarting on retries, not to the
          overall set of retries.

Mon Dec 27 20:32:33 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Use $(LIB_PREFIX) and $(LIBEXT) for DEPLIBS.
          New variable $(LD_RPATH_FLAGS) for extra linker flags that
          will be used when RPATH is enabled.

        * include/makeinclude/platform_linux.GNU:

          Set LD_RPATH_FLAGS to enable DT_RUNPATH in the ELF headers.

Sat Dec 25 15:52:56 UTC 2010  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Merry Christmas and Peace on Earth.

Tue Dec 21 09:57:54 UTC 2010  Olli Savia  <ops@iki.fi>

        * protocols/ace/TMCast/TransactionController.hpp:
          Added missing ACE_OS:: to memcpy call.

Mon Dec 20 21:10:55 UTC 2010  Olli Savia  <ops@iki.fi>

        * ACEXML/common/NamespaceSupport.cpp:
        * Kokyu/DSRT_Sched_Queue_T.cpp:
          Initialize pointer with zero

Mon Dec 20 20:58:26 UTC 2010  Olli Savia  <ops@iki.fi>

        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.cpp:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.cpp:
          Fixed compile warnings.

Fri Dec 17 14:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * */*.*:
          Merged RemedyWork branch.

Wed Dec 15 11:32:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Initialize pointer with zero

Tue Dec 14 15:26:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
        * bin/diff-builds-and-group-fixed-tests-only.sh:
        * docs/Download.html:
        * etc/index.html:
          Updated for next release

Tue Dec 14 13:13:17 CET 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 6.0.0 released.

Tue Dec 14 10:12:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Atomic_Op_Test.cpp:
        * tests/Auto_IncDec_Test.cpp:
        * tests/Buffer_Stream_Test.cpp:
        * tests/Bug_2434_Regression_Test.cpp:
        * tests/Bug_3332_Regression_Test.cpp:
        * tests/Bug_3878_Regression_Test.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Collection_Test.cpp:
        * tests/Conn_Test.cpp:
        * tests/Dev_Poll_Reactor_Test.cpp:
        * tests/Dynamic_Priority_Test.cpp:
        * tests/Dynamic_Test.cpp:
        * tests/Future_Set_Test.cpp:
        * tests/Future_Test.cpp:
        * tests/IOStream_Test.cpp:
        * tests/Integer_Truncate_Test.cpp:
        * tests/Intrusive_Auto_Ptr_Test.cpp:
        * tests/MM_Shared_Memory_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_Reference_Counted_Notify_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/Message_Queue_Notifications_Test.cpp:
        * tests/New_Fail_Test.cpp:
        * tests/NonBlocking_Conn_Test.cpp:
        * tests/Object_Manager_Flipping_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Priority_Buffer_Test.cpp:
        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/Proactor_UDP_Test.cpp:
        * tests/Process_Semaphore_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/RB_Tree_Test.cpp:
        * tests/Reactor_Timer_Test.cpp:
        * tests/Reactors_Test.cpp:
        * tests/Recursive_Mutex_Test.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SOCK_Test.cpp:
        * tests/SOCK_Test_IPv6.cpp:
        * tests/SPIPE_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/TP_Reactor_Test.cpp:
        * tests/TSS_Test.cpp:
        * tests/Task_Ex_Test.cpp:
        * tests/Thread_Manager_Test.cpp:
        * tests/Thread_Mutex_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Thread_Pool_Test.cpp:
        * tests/Thread_Timer_Queue_Adapter_Test.cpp:
        * tests/Time_Value_Test.cpp:
        * tests/Timer_Queue_Reference_Counting_Test.cpp:
        * tests/Tokens_Test.cpp:
        * tests/UPIPE_SAP_Test.cpp:
        * tests/Vector_Test.cpp:
        * tests/WFMO_Reactor_Test.cpp:
          Replaced ACE_ASSERT by ACE_TEST_ASSERT to conditions get
          tested in release mode as well.

Mon Dec 13 07:59:21 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/Message_Queue_NT.cpp:
          Add missing activation in open() (setting state indicator).

Sun Dec 12 16:20:22 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_g++_common.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
          Fix DLL export problems with MingW GCC 4.5.0

        * ace/Future_Set.cpp:
        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Protocol.h:
        * protocols/ace/RMCast/Reassemble.cpp:
        * tests/Bug_3332_Regression_Test.cpp:
        * tests/Bug_3911_Regression_Test.cpp:
        * tests/Hash_Map_Manager_Test.cpp:
          Fixed uninitialized use warnings.

        * ace/WIN32_Asynch_IO.cpp:
          Fixed comparison always true warning.

        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
          Fixed constant char* assignment.

        * examples/Reactor/WFMO_Reactor/Suspended_Removals.cpp:
          Fixed unused argument/variable warnings.

        * tests/Array_Map_Test.cpp:
        * tests/Handle_Set_Test.cpp:
        * tests/Hash_Map_Bucket_Iterator_Test.cpp:
        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/Malloc_Test.cpp:
        * tests/Naming_Test.cpp:
        * tests/Process_Manual_Event_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/Reactor_Notify_Test.cpp:
        * tests/Sig_Handlers_Test.cpp:
        * tests/Sigset_Ops_Test.cpp:
        * tests/Timer_Queue_Test.cpp:
          Replaced ACE_ASSERT by ACE_TEST_ASSERT to make test
          function in release (NDEBUG) builds as well.

Wed Dec  8 09:36:00 UTC 2010  Martin Corino <mcorino@remedy.nl>

        * ace/Configuration.cpp:
          Fixed uninitialized use warning.

Tue Dec  7 23:07:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3878_Regression_Test.cpp:
          Fixed problem in single threaded build

Tue Dec  7 23:04:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3539_Regression_Test.cpp:
          Fixed problem in single threaded build

Tue Dec  7 15:52:02 UTC 2010  Steve Huston  <shuston@riverace.com>

        * tests/Atomic_Op_Test.cpp: For platforms w/o built-in atomic op
          support, run fewer iterations of the test loop. Those platforms
          sometimes time out during regression tests. This was a problem
          with Riverace's PA-RISC box so if this change causes problems
          otherwise, please let me know.

Mon Dec  6 15:59:52 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/make_release.py:

          Enabled the calls to update_latest_tag() now that the bug in that
          functions has been fixed in:
          Tue Sep 14 16:42:26 UTC 2010  Adam Mitz  <mitza@ociweb.com>

Sat Dec  4 14:25:26 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (timestamp):
        * ace/Log_Msg.cpp (log):
        * ace/Log_Msg_UNIX_Syslog.cpp (log):
        * ace/Log_Record.cpp (format_msg):
        * examples/Misc/test_timestamp.cpp: Cleanups, correcting buffer sizes
          from old 35-char length to 27 based on new timestamp format. Thanks
          to Thomas Lockhart for these.

Thu Dec  2 18:29:36 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/ACE.{h cpp} (timestamp): Changed the format produced from
          ACE::timestamp() from ctime-ish "Day Mon dd hh:mm:ss yyyy" to
          ISO-8601 yyyy-mm-dd hh:mm:ss.mmmmmm. Thank you to Thomas
          Lockhart for this fix. Resolves Bugzilla #3210.
          Also fixed up the doxygen comments related.

        * ace/Log_Record.cpp (format_msg): VERBOSE[_LITE] timestamp also
          changed to ISO-8601 format but uses 3 decimal places after secs.

        * NEWS: Described above change for users.

Mon Nov 29 17:20:47 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Shi John <John dot Shi at acxiom dot com>.

Fri Nov 26 17:36:10 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/os_include/os_pthread.h: Removed the #defines for
          PTHREAD_CANCEL_{ENABLE, DISABLE, DEFERRED, ASYNCHRONOUS}. They
          were breaking the LynxOS build (LynxOS sets these via enum, not
          macro). If a platform doesn't have these symbols then the
          ACE_LACKS_PTHREAD_CANCEL config setting should be used to avoid
          code that references them.

Thu Nov 25 12:17:31 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.h:
        * ace/OS_NS_unistd.cpp:
          Removed not enabled ftruncate workaround

        * ace/Env_Value_T.h:
          Doxygen change

        * ace/OS_NS_sys_utsname.cpp:
        * ace/OS_NS_sys_wait.cpp:
        * ace/OS_NS_time.cpp:
        * ace/OS_NS_wchar.cpp:
          Layout changes

Tue Nov 23 23:20:07 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/os_include/os_pthread.h: Give definite values to THR_CANCEL_*
          flags - using the PTHREAD_CANCEL_* values gives the THR_CANCEL_*
          options overlapping bits making it impossible to distinguish them.

        * ace/Base_Thread_Adapter.{h, cpp}:
        * ace/OS_NS_Thread.cpp (thr_create):
        * ace/OS_Thread_Adapter.{h, cpp}:
        * ace/Thread_Adapter.{h, cpp}:
        * ace/Thread_Manager.cpp (spawn):
          Added a member in the thread adapters to carry the cancel flags
          through to the spawned thread. In the spawned thread, check the
          cancel-related flags and act on them if set. This enables proper
          support for spawning threads with the THR_CANCEL_* flags as
          documented.

        * ace/OS_NS_Thread.{h inl} (thr_setcancelstate, thr_setcanceltype):
          Map the THR_CANCEL_* values to PTHREAD_CANCEL_* values on both
          sides of the pthread call. Makes this API portable across OSes
          in case cancel support is ever added anywhere else.
          Added comments for doxygen to pick up explaining this.

        * tests/Thread_Attrs_Test.cpp: Added test cases for spawning threads
          with various cancel settings.

          Resolves Bugzilla #3932.

Fri Nov 19 18:55:58 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Wendsomde Yameogo <wendsomde at yameogo dot com>.

Fri Nov 19 15:46:07 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * include/makeinclude/platform_g++_common.GNU:
          Attempted to fix compile problems with using tao_idl3_to_xmi
          in cross builds.

Wed Nov 17 09:29:42 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * apps/gperf/src/Key_List.cpp:
          Fixed memory leaks.

Mon Nov 15 12:58:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Malloc_Test.cpp:
          Use ACE_auto_ptr_reset

Mon Nov 15 12:41:22 UTC 2010  Steve Huston  <shuston@riverace.com>

        * protocols/ace/INet/inet.mpc: Renamed 2nd instance of http_simple_wget
          to be slightly different in ssl case - prevents name clash when
          regenerating automake files.

Mon Nov 15 12:29:51 UTC 2010  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Restored TAO-related conditionals; there's no way to set
          them to true, but they're referred to in many Makefile.ams so
          the conditional needs to be there.
          Also added enable/disable for protocols/ace/INet.

Mon Nov 15 09:40:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Makefile.am:
          Zap TAO as directory

        * ACEXML/common/XML_Types.h:
        * ace/Auto_Ptr.h:
        * ace/Basic_Types.h:
        * ace/OS_NS_Thread.cpp:
        * ace/Obchunk.cpp:
        * ace/Object_Manager.cpp:
        * ace/Object_Manager_Base.cpp:
        * ace/Proactor.h:
        * ace/SOCK_Dgram.h:
        * ace/SOCK_Dgram.inl:
        * ace/SOCK_Dgram_Mcast.h:
        * ace/SOCK_Dgram_Mcast.cpp:
        * ace/SString.h:
        * ace/SString.cpp:
        * ace/Thread_Exit.cpp:
        * ace/Timer_List.h:
        * ace/config-lite.h:
        * apps/JAWS/clients/Caching/Locator_Request_Reply.cpp:
        * apps/JAWS/clients/Caching/URL_Properties.h:
        * apps/JAWS/clients/Caching/URL_Properties.inl:
        * apps/JAWS/clients/Caching/URL_Properties.cpp:
          Clean of deprecated define ACE_USHORT16 and ACE_AUTO_PTR_RESET

        * configure.ac:
          Updated support address

Wed Nov 10 18:12:41 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.am:
        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
          Updated for removed file

        * ace/Strategies.h:
          Removed this file, was for backwards compatibility but had an invalid
          include in it. Thanks to Helmut Böing for reporting this

Wed Nov 10 14:49:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram_Mcast.h:
          Doxygen changes

        * configure.ac:
        * m4/ace.m4:
        * m4/tao.m4:
          Removed support for TAO, thanks to Mark <markg85 at gmail dot com>
          for reporting this

Wed Nov 10 10:17:27 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Added support for tao_idl3_to_xmi in makefiles.

Sun Nov  7 00:13:13 UTC 2010  Steve Huston  <shuston@riverace.com>

        * tests/INET_Addr_Test.cpp: Mismatching the addr->name test is not
          necessarily an error.

Fri Nov  5 14:23:26 UTC 2010  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.local.GNU: Added a hook for users to
          include site-private rules in a build. If the user places a
          "rules.private.GNU" in any build directory it will get included
          from rules.local.GNU. The "private_rules_file" make variable
          can be set to override the name and/or location of the file.
          If no such rules file exists, its absence is silently ignored.
          This facility can be used, for example, to integrate a specialized
          code checker into the build process.

        * NEWS: Describe this new hook.

Fri Nov  5 00:29:08  2010  Steve Huston  <shuston@riverace.com>

        * ace/Process_Manager.h: Removed remaining references to reap().
          Noted that terminate() doesn't remove the process entry, and the
          caller is advised to also call wait() or remove().

Thu Nov  4 15:17:51 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set): For platforms that have the GNU-extended
          gethostbyname2_r() function, use it instead of getaddrinfo() for
          a IPv6 hostname lookup. Customer reports that it getaddrinfo() is
          hugely slower than gethostbyname2 on large vlans. The alternate
          code is used if ACE_HAS_GETHOSTBYNAME2 is set in config.h.
          (This is a revised fix from Tue Nov  2 00:18:34 UTC 2010)

        * tests/INET_Addr_Test.cpp: Add some IPv6 address and name lookups.

Tue Nov  2 13:26:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Stream.inl:
        * ace/Atomic_Op.inl:
        * ace/Atomic_Op_GCC_T.inl:
          Layout changes

        * ace/OS_NS_dlfcn.inl:
          Removed old code

        * ace/config-macros.h:
          When using ACE_HAS_VALGRIND, disable the dlclose functionality,
          valgrind needs to have all loaded dll's still in memory in order
          to show the full callstack, if the dll is unloaded before process
          shutdown valgrind will show ???

        * ace/os_include/os_dlfcn.h:
          Removed old defines

        * debian/TODO:
        * debian/debian.rules:
          Cleanup

        * debian/cmp-installation.sh:
          Removed this file.

Tue Nov  2 01:25:05 UTC 2010  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Log_Msg.cpp (ACE_Log_Msg::log): Added

          ACE_OS::memset(format,'\0',128);

          to ensure the format string has known values.  Thanks to Chad
          Beaulac <chad dot beaulac at objectivesolutions dot com> for
          this suggestion.  This fixes bugid 3923.

Tue Nov  2 00:18:34 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set): For platforms that have the GNU-extended
          gethostbyname2_r() function, use it instead of getaddrinfo() for
          a IPv6 hostname lookup. Customer reports that it getaddrinfo() is
          hugely slower than gethostbyname2 on large vlans. The alternate
          code is used if ACE_HAS_GETHOSTBYNAME2 is set in config.h.

        * configure.ac: Check for ACE_HAS_GETHOSTBYNAME2.

Mon Nov  1 15:03:05 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Reactor.h: Clarified some behavior descriptions related to
          timer expiry behavior and return value from handle_timeout().

Mon Nov  1 14:57:11 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * ace/OS_NS_sys_mman.inl:

          For 64-bit Windows, pass the high 32 bits of ACE_OS::mmap()'s "len"
          parameter as the 3rd parameter to CreateFileMapping(), which was
          previously hard-coded to zero.  This both avoids a warning and also
          enables the user to pass a value > MAX_INT as the maximum size.

Mon Nov  1 07:18:43 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Reverted some of changes in previous commit which
          were accidentally cheked in.

Sun Oct 31 10:14:10 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Removed some legacy GLIBC 1.x related settings.

Sat Oct 30 10:09:47 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
          Removed some legacy settings.

Fri Oct 29 14:33:33 UTC 2010  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_g++_common.GNU:
          Removed GCC 2.x support.

Thu Oct 28 17:45:10 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set): Corrected ACE_HAS_IPV6 checks made in
          Wed Oct 27 22:16:12 UTC 2010  Steve Huston  <shuston@riverace.com>.

Thu Oct 28 11:40:01 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/make_release.py:
          Fixed incorrect spelling of DANCE.

Thu Oct 28 11:18:12 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Fixed generation of dsc file

Thu Oct 28 07:38:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Array_Map.h:
        * ace/Array_Map.cpp:
        * ace/Auto_Functor.h:
        * ace/Auto_Functor.inl:
        * ace/Value_Ptr.h:
        * ace/config-g++-common.h:
        * ace/config-win32-msvc-8.h:
        * performance-tests/Misc/test_singleton.cpp:
          Cleanup because GCC < 3 isn't supported anymore

        * include/makeinclude/platform_hpux_aCC.GNU:
          aCC 3.31 isn't supported anymore for a long time

Thu Oct 28 07:08:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/Trace_Return.cpp:
        * examples/APG/Logging/Wrap_Macros.cpp:
          Fixed compile errors

Wed Oct 27 22:16:12 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set): When looking up a hostname, always use
          gethostbyname() for IPv4 requests, even if IPv6 is available.
          getaddrinfo() (used when IPv4 and 6 are both available) is hugely
          slower than gethostbyname() in large vlan environments. Note that
          even though gethostbyname() can grok IPv6 on Linux, it can't
          anywhere else, so I avoided trying to go that route.

Wed Oct 27 19:35:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debian/libace-5.8.3.docs:
        * rpmbuild/ace-tao.spec:
          FAQ got removed

Wed Oct 27 17:47:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
        * examples/APG/Logging/Trace.h:
        * examples/APG/Logging/Trace_Return.cpp:
        * examples/APG/Logging/Wrap_Macros.cpp:
          Removed support for GCC < 3

Wed Oct 27 17:40:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Make x.8.3 available for download

        * debian/ace.dsc:
          Updated size and md5

        * rpmbuild/ace-tao.spec:
          Corrected executable names

Wed Oct 27 12:29:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/index.html:
          Added x.8.3

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          Updated for x.8.3

        * bin/make_release.py:
          Generate spaces and removed some not needed excludes

        * bin/generate_rel_manpages:
          Print a message when we are ready

Wed Oct 27 10:38:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ChangeLog:
        * NEWS:
          Updated for next release

Wed Oct 27 12:01:05 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

       * ACE version 5.8.3 released.

Tue Oct 26 11:21:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          Fixed DANCE_ROOT, could cause problems with the test stats email

Mon Oct 25 21:01:02 UTC 2010  Olli Savia  <ops@iki.fi>

        * NEWS:
          Updated.

Mon Oct 25 14:07:15 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.cpp:
          Another fix to error processing behavior. If the result of
          process_directives() was > 0, that value was replaced by the
          result of process_commandline_directives(), which is contrary to
          the expected behavior. Now the result is the sum of these to
          return values, unless either returns -1, then the result is just
          -1.

Mon Oct 25 06:30:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Atomic_Op_T.h:
        * ace/Auto_IncDec_T.h:
          Doxygen changes

Sun Oct 24 12:35:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Event_Handler.h:
        * ace/Reactor.h:
        * ace/Reactor_Notification_Strategy.h:
        * ace/Read_Buffer.h:
        * ace/Registry_Name_Space.h:
        * ace/Remote_Tokens.h:
          Doxygen changes

Fri Oct 22 11:19:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Reactor.h:
          Doxygen changes

Thu Oct 21 11:10:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/FILE_IO.h:
        * ace/Free_List.h:
        * ace/Handle_Set.h:
        * ace/Log_Msg.h:
        * ace/WIN32_Asynch_IO.h:
          Doxygen changes

Wed Oct 20 18:19:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          If we just see dollarIddollar we trigger an error, svn:keywords is
          than lacking

Wed Oct 20 16:07:09 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_Adapters.cpp (ACE_Thread_Timer_Queue_Adapter::svc):
        * ace/Timer_Queue_T.cpp (expire):
          Temporarily release and reacquire the mutex around timer dispatch.
          This prevents a deadlock on user code with multiple threads doing
          timer-related operations.

Wed Oct 20 09:22:46 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Add nddsmonitor as default to 0

Wed Oct 20 09:19:25 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.h:

        * bin/MakeProjectCreator/config/global.features:

        * tests/Time_Value_Test.cpp:

Tue Oct 19 18:11:57 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/Caching_Utility_T.cpp:
          Added missing include.

Tue Oct 19 09:44:45 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/Caching_Utility_T.cpp:
          Use ACE::is_equal() to compare floating point values.

Fri Oct 15 10:18:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3911_Regression_Test.cpp:
          Fixed warning

Thu Oct 14 18:29:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
        * tests/tests.mpc:
          3911 doesn't work with ace_for_tao

Thu Oct 14 13:15:00 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/Process.h:
        * ace/Process.cpp:
          Changes to allow to dynamically define the max. number of cmdline args.
          The tao_idl compiler was running out of room in certain instances and
          the static max was very conservative.

Thu Oct 14 09:38:00 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3911_Regression_Test.cpp:
          Wchar build fixes.

Wed Oct 13 08:24:00 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3911_Regression_Test.cpp:
          Wchar build fixes.

Wed Oct 13 06:15:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Framework_Component.h:
        * ace/Framework_Component.inl:
        * ace/Framework_Component.cpp:
        * ace/Framework_Component_T.h:
          Use ACE_Copy_Disabled, change c-style cast to const cast, use
          sync macros instead of ACE_MT. Thanks to Ranjit Hande
          <hande at avaya dot com> for reporting the c-style cast warnings

        * tests/Framework_Component_Test.h:
          Layout change

Tue Oct 12 21:12:51 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/DependencyGenerator/GNUObjectGenerator.pm:

          Fixed incorrect Perl regex escaping from my previous commit.

Tue Oct 12 11:41:00 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3911_Regression_Test.cpp:
          Fuzz fixes.

Tue Oct 12 08:06:00 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3911_Regression_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:
          Added reproducer test for Bugzilla #3911.

Mon Oct 11 16:31:12 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/DependencyGenerator/GNUObjectGenerator.pm:

          If the source file contains '../', remove the directory part from
          the name of the object file (see gnu.mpd:383 OBJS make variable).

Mon Oct 11 11:53:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
        * ace/Select_Reactor_T.cpp:
          Fixed problems with threads=0, thanks to Elez <elezsh at gmail dot com>
          for reporting this and providing a patch

Fri Oct  8 11:19:44 UTC 2010  Olli Savia  <ops@iki.fi>

        * protocols/ace/RMCast/Flow.cpp:
          Added missing include.

Fri Oct  8 08:42:37 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * ace/os_include/os_unistd.h:
        * configure.ac:
        * m4/config_h.m4:
          Removed references to ACE_LACKS_PREAD_PROTOTYPE. It is no
          longer used.

Fri Oct  8 08:20:04 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdio.inl:
        * ace/README:
        * tests/OS_Test.cpp:
          Removed references to ACE_LACKS_RENAME. It is no
          longer used.

Fri Oct  8 07:51:46 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/config-integritySCA.h:
          Removed references to ACE_LACKS_IPC_H. It is no
          longer used.

Fri Oct  8 07:48:38 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/README:
          Removed references to ACE_LACKS_IOSTREAMS_TOTALLY. It is no
          longer used.

        * ace/os_include/os_stropts.h:
          Fixed typo.

Fri Oct  8 07:42:26 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdio.inl:
        * ace/README:
        * ace/Svc_Conf_Lexer.cpp:
          Removed references to ACE_LACKS_CLEARERR. It is no
          longer used.

Fri Oct  8 06:58:56 UTC 2010  Olli Savia  <ops@iki.fi>

        * protocols/ace/RMCast/Flow.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Upgradable_RW_Test.cpp:
          Use ACE::is_equal() to compare floating point values.

Thu Oct  7 12:34:20 UTC 2010  Olli Savia  <ops@iki.fi>

        * ASNMP/tests/Counter64_Test.cpp:
        * ace/ETCL/ETCL_Constraint.cpp:
        * ace/Monitor_Control/CPU_Load_Monitor.cpp:
          Use ACE::is_equal() to compare floating point values.

Tue Oct  5 07:23:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * COPYING:
          Small updates

        * docs/ACE-porting.html:
          Updated links

        * include/makeinclude/wrapper_macros.GNU:
          Added support for valgrind=1

Mon Oct  4 19:55:33 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/make_release.py:

          Updates.

Mon Oct  4 12:32:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/LSOCK_Stream.h:
          Doxygen changes

        * ace/Makefile.am:
          Removed zapped file

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Removed SUN_CC_HAS_PVFC_BUG, this got added 8 years ago and is
          used for any SunCC compiler version. If some old SunCC compiler breaks
          we can readd this flag for just that compiler version

Fri Oct  1 16:00:51 UTC 2010  William Otte  <wotte@zifnab>

        * COPYING:

          Updated to include DAnCE.

Fri Oct  1 11:55:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-common.h:
          Fixed redefinition warnings

        * ace/ace_for_tao.mpc:
          Zapped some files

        * ace/config-win32-common.h:
        * ace/config-win32-msvc.h:
        * ace/config-win32.h:
          Cleanup

        * ace/config-win32-ghs.h:
          Removed this file.

Thu Sep 30 10:49:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debian/mpc-ace.install:
          Improved

        * docs/bczar/bczar.html:
          Added DAnCE to doxygen instructions

Thu Sep 30 08:09:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/IOStream.h:
        * ace/config-g++-common.h:
        * ace/config-hpux-11.00.h:
        * ace/config-linux-common.h:
        * ace/config-mvs.h:
        * ace/config-sunos5.5.h:
        * ace/config-win32-borland.h:
        * ace/config-win32-cegcc.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-mingw.h:
        * ace/config-win32-msvc.h:
          Cleanup, move g++ version defines to config-g++-common.h

Thu Sep 30 05:45:10 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * ace/Cache_Map_Manager_T.h:
        * ace/Cache_Map_Manager_T.inl:
        * ace/Cache_Map_Manager_T.cpp:
        * ace/Cached_Connect_Strategy_T.h:
        * ace/Cached_Connect_Strategy_T.cpp:
        * ace/Caching_Strategies_T.h:
        * ace/Caching_Utility_T.cpp:
        * ace/Cleanup_Strategies_T.cpp:
        * ace/Hash_Cache_Map_Manager_T.h:
        * ace/Hash_Cache_Map_Manager_T.cpp:
        * ace/Map_T.h:
        * ace/Map_T.inl:
        * ace/Map_T.cpp:
        * ace/Pair_T.h:
        * ace/Pair_T.inl:
        * examples/Web_Crawler/URL_Visitor.h:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Cached_Accept_Conn_Test.h:
        * tests/Cached_Conn_Test.cpp:
        * tests/Map_Manager_Test.cpp:
          Removed ACE_Pair from the ACE library.

Wed Sep 29 14:06:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cache_Map_Manager_T.h:
        * ace/MEM_SAP.h:
        * ace/Metrics_Cache_T.h:
        * ace/Metrics_Cache_T.inl:
        * ace/Metrics_Cache_T.cpp:
          Doxygen changes

Wed Sep 29 12:19:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Caching_Utility_T.h:
        * ace/Caching_Utility_T.cpp:
          Use bool and ACE_Copy_Disabled

        * ace/Malloc_Base.h:
        * ace/Malloc_T.h:
          Typo fixes

Wed Sep 29 12:08:58 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Add ccm_noevent option, default 0, events in CCM are enabled.
          If set, events in CCM are disabled.

Tue Sep 28 18:48:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS3/jaws3-todo:
          Removed, todo for years now

Tue Sep 28 18:16:52 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * performance-tests/TCP/tcp_test.cpp:

          If the 1st char of the host name is a digit, need to set the IP
          address and port as network byte order since that is what's
          returned from ACE_OS::inet_addr().

Tue Sep 28 11:34:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Connector.cpp:
        * ace/Barrier.h:
        * ace/Barrier.cpp:
        * ace/Condition_Thread_Mutex.h:
        * ace/Condition_Thread_Mutex.inl:
        * ace/Containers_T.cpp:
        * ace/Functor.h:
        * ace/Functor.inl:
        * ace/IO_Cntl_Msg.cpp:
        * ace/Intrusive_List.cpp:
        * ace/Local_Tokens.inl:
        * ace/MEM_IO.cpp:
        * ace/MEM_Stream.h:
        * ace/MEM_Stream.inl:
        * ace/Malloc_T.inl:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_string.inl:
        * ace/Object_Manager_Base.cpp:
        * ace/POSIX_Proactor.cpp:
        * ace/Ping_Socket.cpp:
        * ace/Signal.inl:
        * ace/Throughput_Stats.h:
        * ace/Throughput_Stats.cpp:
        * ace/Time_Value.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_Heap_T.cpp:
        * ace/Vector_T.h:
        * ace/Vector_T.cpp:
        * ace/config-linux-common.h:
          Removed code that was ifdefed out for years now

Tue Sep 28 08:31:37 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * performance-tests/Misc/test_guard.cpp:
        * tests/ACE_Test.cpp:
        * examples/Reactor/TP_Reactor/client.cpp:
          Fixed compilation errors with missing includes.

Mon Sep 27 18:04:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.h:
        * ace/Thread.h:
        * ace/Thread_Adapter.h:
        * ace/Thread_Mutex.h:
          Doxygen changes

Mon Sep 27 14:47:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/String_Base.h:
          Doxygen changes

        * ace/Svc_Conf_Lexer.cpp:
          Const changes

        * bin/msvc_static_order.lst:
          Some updates, but this list is very outdated

Mon Sep 27 14:27:25 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Matthew Waller <matthewrwaller at gmail dot com>

Mon Sep 27 14:08:11 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Log_Msg.h:
        * ace/Log_Msg.cpp:
          Fixed compilation with ACE_HAS_DUMP. The later happens because
          ACE_Log_Msg depends on ACE_Atomic_Op and ACE_Atomic_Op needs
          ACE_DEBUG when ACE_HAS_DUMP is defined. This change moves
          include of ace/Atomic_Op.h from header to CPP file and adds
          forward declaration for ACE_Atomic_Op.

        * ace/Atomic_Op_T.cpp:
        * ace/Guard_T.cpp:
          Removed unnecessary this paramater when doing ACE_END_DUMP.

        * examples/Misc/test_dump.h:
        * examples/Threads/thread_specific.cpp:
          Fixed logging in these tests.

Mon Sep 27 11:24:02 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.h:
          Another attempt to fix compile error.

Mon Sep 27 09:42:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Enable export file check, use TAO_IDL to generate export files or
          remove the generated by line from the export file itself. Currently
          only for CIAO and DAnCE

Sat Sep 25 06:41:39 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
          Modified ACE::is_equal() comment once again to make fuzz happy.

Fri Sep 24 14:52:44 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Pipe.{h inl cpp}: Added two new methods, close_read() and
          close_write() to close individual pipe handles. Refactored the
          original close() method to use these and factored out the actual
          closing code to a new inlined close_handle() method.

          Thanks to John Lilley <jlilley at datalever dot com> for this
          addition.

        * NEWS: Added description of the new methods.

Fri Sep 24 12:41:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated Remedy platforms

        * ACEXML/parser/parser/Parser.h:
        * ace/Containers_T.h:
        * ace/Containers_T.cpp:
        * ace/OS_NS_string.h:
        * ace/OS_NS_wchar.h:
        * apps/JAWS/clients/WebSTONE/src/nsapi-includes/base/shexp.h:
          Fixed typo

Fri Sep 24 12:32:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Containers_T.h:
        * ace/Containers_T.cpp:
        * ace/OS_NS_string.h:
        * ace/OS_NS_wchar.h:
          Fixed typo

Fri Sep 24 12:24:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Documented vc10, thanks to Paul Carter <pcarter at scires dot com>
          for reporting this.

Fri Sep 24 11:44:06 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
          Adjusted ACE::is_equal() comment to make fuzz happy.

Fri Sep 24 09:35:00 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.h:
          Removed code that is problematic for GCC 2.95.3 in a crossbuild
          for LynxOS 4.0.

Fri Sep 24 07:35:27 UTC 2010  Olli Savia  <ops@iki.fi>

        * ace/ACE.h:
          Added a simple helper ACE::is_equal() which compares equality of two
          objects without using operator==. This is useful for comparing floating
          point values.

        * tests/OS_Test.cpp:
          Use ACE::is_equal() instead of local copy.

Thu Sep 23 16:14:12 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * ace/SSL/ssl.mpc:
        * bin/MakeProjectCreator/config/pkgconfig.mpb:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/ace_install_pkgconfig.pl:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/wrapper_macros.GNU:

          Added support for installing pkg-config (.pc) files as part of the
          gnuace "make install".  This includes a refactoring of how the
          shared library version numbers are set internally in the makefiles.

Thu Sep 23 12:32:05 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Service_Gestalt.cpp:
          Fixed memory leak. Previously it could happen that svc_queue_ was
          allocated during processing of arguments but was not freed if
          application didn't call process_commandline_directives().

        * tests/Network_Adapters_Test.cpp:
          Removed non-ASCII character from the comments.

Wed Sep 22 18:42:25 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/msvc_mpc_auto_compile.pl:

          Updates for DAnCE.

Wed Sep 22 14:17:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * debian/Basic_Logging_Service.sgml:
        * debian/Event_Logging_Service.sgml:
        * debian/Notify_Logging_Service.sgml:
        * debian/RTEvent_Logging_Service.sgml:
          Renamed TAO orb services. See $TAO_ROOT/NEWS for details.

Wed Sep 22 14:06:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * debian/libtao-orbsvcs-1.8.2.install:
        * debian/libtao-orbsvcs-dev.install:
        * debian/tao-imr.install:
        * debian/tao-naming.install:
        * debian/tao-notify.install:
        * debian/tao-rtevent.install:
          Renamed TAO orb services. See $TAO_ROOT/NEWS for details.

Wed Sep 22 13:58:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * debian/tao-concurrency.install:
        * debian/tao-event.install:
        * debian/tao-ft.install:
        * debian/tao-ifr.install:
        * debian/tao-lifecycle.install:
        * debian/tao-load.install:
        * debian/tao-log.install:
        * debian/tao-scheduling.install:
        * debian/tao-time.install:
        * debian/tao-trading.install:
          Renamed TAO orb services. See $TAO_ROOT/NEWS for details.

Tue Sep 21 08:27:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/agent/main.cpp:
          Fixed compile error

Mon Sep 20 13:24:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/agent/agent.mpc:
        * ASNMP/agent/main.cpp:
          Enable for wchar, thanks to Christian Freund <freund at wrz dot de>
          for reporting this and providing a patch, fixes bugzilla 3889

        * ace/String_Base.h:
        * apps/JAWS3/http/HTTP_Service_Handler.h:
        * apps/JAWS3/small/SS_Service_Handler.h:
          Fixed typo in comment

        * ace/config-win32-borland.h:
          Some updates based on QC emails

        * debian/libtao-dev.install:
        * debian/mpc-ace.install:
          Fixed paths

Fri Sep 17 20:14:33 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * ace/FlReactor/ace_flreactor.mpc:
        * ace/FoxReactor/ace_foxreactor.mpc:
        * ace/QtReactor/ace_qt3reactor.mpc:
        * ace/QtReactor/ace_qt4reactor.mpc:
        * ace/TkReactor/ace_tkreactor.mpc:
        * ace/XtReactor/ace_xtreactor.mpc:

          Since these have been moved, the default install_dir isn't what we
          want.  Set the install_dir to ace/*Reactor.

Fri Sep 17 07:51:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/fuzz.pl:
          Added Id check for cdp files.

Fri Sep 17 07:16:16 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.h:
        * ace/OS_Errno.cpp:
          Layout changes

        * ace/Malloc_T.h:
        * ace/Malloc_T.cpp:
        * ace/Map_Manager.inl:
        * ace/Map_Manager.cpp:
          Moved some methods inline

        * ace/OS_NS_signal.cpp:
          Fixed problem with versioned macros

Thu Sep 16 13:36:51 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/URLBase.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.h:
           Changes to fix export problems with nested classes with MSVC 9.

Thu Sep 16 09:25:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Removed Service_Templates.h

Thu Sep 16 09:08:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/ping/client.cpp:
          Added missing includes

Wed Sep 15 12:45:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Auto_Event.h:
        * ace/OS_NS_arpa_inet.inl:
        * ace/OS_NS_arpa_inet.cpp:
        * ace/OS_NS_errno.cpp:
        * ace/OS_NS_fcntl.cpp:
        * ace/OS_NS_math.cpp:
        * ace/OS_NS_pwd.inl:
        * ace/OS_NS_pwd.cpp:
        * ace/OS_NS_regex.inl:
        * ace/OS_NS_regex.cpp:
        * ace/OS_NS_signal.cpp:
        * ace/OS_NS_sys_resource.cpp:
        * ace/OS_NS_sys_wait.inl:
        * ace/OS_NS_wctype.inl:
        * ace/OS_NS_wctype.cpp:
        * ace/config-tandem.h:
        * ace/os_include/os_pthread.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/sys/os_resource.h:
        * ace/os_include/sys/os_socket.h:
          Small cleanup and layout changes

Wed Sep 15 12:31:07 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/server.cpp:
          Fixed solaris compile problems

Wed Sep 15 09:33:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
          Zapped removed files

        * docs/svn/config:
          Added another file type

Wed Sep 15 07:51:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed invalid comma, thanks to Frank Preischl
          <Frank dot Preischl at ids dot de> for reporting this and Olli Savia
          for correcting my initial patch

Tue Sep 14 18:18:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mwc:
          No need for a workspace with all projects in it

        * ace/ace_ce_dll.cfg:
          Removed this file, ancient and not used

Tue Sep 14 16:42:26 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/make_release.py (update_latest_tag):

          Fixed a bug with the new DAnCE changes and changed the way it does
          the svn properties edits.  This function is still not called, but
          the calls are ready to be un-commented whenever the buildczar or
          release manager can re-enable this.

Tue Sep 14 13:00:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Record.h:
        * ace/Log_Record.inl:
        * ace/Log_Record.cpp:
          Removed deprecated encode/decode methods

Tue Sep 14 12:05:19 UTC 2010  Steve Huston  <shuston@riverace.com>

        * examples/APG/Logging/Callback-3.h: Replaced use of deprecated
          ACE_Log_Record::encode() with CDR converter.

Tue Sep 14 12:01:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FlReactor/ace_flreactor.mpc:
        * ace/FoxReactor/ace_foxreactor.mpc:
        * ace/QtReactor/ace_qt3reactor.mpc:
        * ace/QtReactor/ace_qt4reactor.mpc:
        * ace/TkReactor/ace_tkreactor.mpc:
        * ace/XtReactor/ace_xtreactor.mpc:
        * ace/ace_flreactor.mpc:
        * ace/ace_foxreactor.mpc:
        * ace/ace_qt3reactor.mpc:
        * ace/ace_qt4reactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_xtreactor.mpc:
          Moved these files to the subdirectory they need to be in

Tue Sep 14 11:40:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/Array.pl:
        * bin/Array_Helper:
        * bin/Hash_Map_Manager.pl:
        * bin/Hash_Map_Manager_Helper:
        * bin/vxworks_modify.pl:
          Removed these files, very old and will not work at all

        * bin/PythonACE:
        * bin/PythonACE/__init__.py:
        * bin/PythonACE/fuzz:
        * bin/PythonACE/fuzz/__init__.py:
        * bin/PythonACE/fuzz/_fuzz.py:
        * bin/PythonACE/fuzz/_generic_handler.py:
        * bin/PythonACE/fuzz/_mailer.py:
        * bin/PythonACE/fuzz/_path.py:
        * bin/PythonACE/fuzz/_singleton.py:
        * bin/PythonACE/fuzz/_types.py:
        * bin/PythonACE/fuzz/_warning_handler.py:
        * bin/PythonACE/fuzz/check_includes.py:
        * bin/PythonACE/fuzz/check_no_tabs.py:
        * bin/PythonACE/fuzz/cpp_inline.py:
        * bin/PythonACE/fuzz/inline.py:
        * bin/PythonACE/fuzz/math_include.py:
        * bin/PythonACE/fuzz/max_filename.py:
        * bin/PythonACE/fuzz/max_project_len.py:
        * bin/PythonACE/fuzz/newline.py:
        * bin/PythonACE/fuzz/no_conflict_markers.py:
        * bin/PythonACE/fuzz/noncvs.py:
        * bin/PythonACE/fuzz/ptr_arith_t.py:
        * bin/PythonACE/fuzz/refcountservantbase.py:
        * bin/PythonACE/fuzz/streams_include.py:
        * bin/PythonACE/fuzz/verify_changelog.py:
        * bin/fuzz.py:
          Deleted, fuzz is still perl, if we need a PythonACE later we can
          easily get this again from svn

Tue Sep 14 11:31:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
        * html/index.html:
          Removed ciao config handlers

Tue Sep 14 11:30:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
        * html/index.html:
          Removed pss

Tue Sep 14 09:41:06 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debian/mpc-ace.install:
          Don't use environment variables

        * protocols/ace/HTBP/HTBP_Filter.h:
          Added missing includes

Tue Sep 14 09:36:06 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release.py:
          Updated generation of dsc file

        * protocols/examples/RMCast/Send_Msg/Sender.cpp:
        * protocols/tests/RMCast/Sender.cpp:
        * tests/Based_Pointer_Test.cpp:
        * tests/SSL/Bug_2912_Regression_Test.cpp:
          Added missing includes

Mon Sep 13 18:15:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

          *:
          Zapped trailing whitespaces using
          find -name \*.h -o -name \*.cpp -name \*.inl | xargs perl -i -pe's/\s+\n/\n/'

Mon Sep 13 14:04:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted change below, not correct given new info from Adam

        Thu Sep  9 11:49:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed invalid comma, thanks to Frank Preischl
          <Frank dot Preischl at ids dot de> for reporting this

        * debian/debian.rules:
        * debian/mpc-ace.install:
          Improved

Mon Sep 13 09:25:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
          Updated for DAnCE move

        * ace/ETCL/ETCL_Constraint.cpp:
        * ace/ETCL/ETCL_l.cpp.diff:
        * ace/ETCL/ETCL_l.cpp:
        * ace/Makefile.am:
        * ace/Thread_Control.inl:
        * ace/ace.mpc:
        * ace/ace_for_tao.mpc:
        * apps/JAWS3/bench/average.cpp:
        * apps/JAWS3/bench/mkfiles.cpp:
        * apps/JAWS3/bench/rqfiles.cpp:
        * apps/JAWS3/http/HTTP_Data.h:
        * apps/JAWS3/http/HTTP_Service_Handler.h:
        * apps/JAWS3/http/HTTP_Service_Handler.cpp:
        * apps/JAWS3/http/HTTP_States.h:
        * apps/JAWS3/jaws3-todo/Reactive_Socket.h:
        * apps/JAWS3/jaws3-todo/Reactive_Socket_Helpers.h:
        * apps/JAWS3/jaws3-todo/Reactive_Socket_Helpers.cpp:
        * apps/JAWS3/jaws3-todo/Socket.h:
        * apps/JAWS3/jaws3/Concurrency_T.h:
        * apps/JAWS3/small/SS_Data.h:
        * apps/JAWS3/small/SS_Service_Handler.h:
        * apps/JAWS3/small/SS_Service_Handler.cpp:
        * apps/JAWS3/small/SS_State_DONE.h:
        * apps/JAWS3/small/SS_State_DONE.cpp:
        * apps/JAWS3/small/SS_State_ERROR.h:
        * apps/JAWS3/small/SS_State_ERROR.cpp:
        * apps/JAWS3/small/SS_State_PARSE.h:
        * apps/JAWS3/small/SS_State_PARSE.cpp:
        * apps/JAWS3/small/SS_State_READ.h:
        * apps/JAWS3/small/SS_State_READ.cpp:
        * apps/JAWS3/small/SS_State_WRITE.h:
        * apps/JAWS3/small/SS_State_WRITE.cpp:
        * apps/JAWS3/small/SS_Templates.cpp:
        * contrib/FaCE/FaCE.h:
        * examples/APG/Svc_Config/HA_Status_Dynamic.h:
        * examples/APG/Svc_Config/HA_Status_Static.h:
        * examples/Reactor/TP_Reactor/client.cpp:
        * examples/Reactor/TP_Reactor/server.cpp:
        * protocols/ace/HTBP/HTBP_Channel.cpp:
        * protocols/ace/HTBP/HTBP_Filter.h:
        * protocols/ace/HTBP/HTBP_Inside_Squid_Filter.cpp:
        * protocols/ace/HTBP/HTBP_Session.cpp:
        * protocols/ace/TMCast/Group.cpp:
        * protocols/examples/RMCast/Send_Msg/Sender.cpp:
        * protocols/tests/HTBP/Reactor_Tests/client.cpp:
        * protocols/tests/HTBP/Reactor_Tests/server.cpp:
        * protocols/tests/HTBP/Reactor_Tests/test_config.h:
        * protocols/tests/HTBP/Send_Large_Msg/client.cpp:
        * protocols/tests/HTBP/Send_Large_Msg/server.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/client.cpp:
        * protocols/tests/HTBP/Send_Recv_Tests/server.cpp:
        * protocols/tests/HTBP/ping/client.cpp:
        * protocols/tests/HTBP/ping/server.cpp:
        * protocols/tests/RMCast/Sender.cpp:
        * tests/Based_Pointer_Test.cpp:
        * tests/Bug_2980_Regression_Dll.cpp:
        * tests/SSL/Bug_2912_Regression_Test.cpp:
          Removed include of ace/OS.h, only in a few files we really had
          to add an include of OS_NS_*.h

        * ace/OS.h:
        * ace/OS.inl:
        * ace/OS.cpp:
          Removed these files, replaced with OS_NS_* files a long time ago

Sun Sep 12 19:27:58 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/make_release.py:

          Some updates to handle moved DAnCE package.

Sun Sep 12 19:22:21 UTC 2010  William Otte  <wotte@zifnab>

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/templates/:

          Added rules to pullin rules.dance.GNU.

Fri Sep 10 16:43:39 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Makefile.am: Removed references to files removed at
         Thu Sep  9 11:14:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

Fri Sep 10 11:07:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * ace/TSS_T.h:
          Resolved compile issue regarding ACE_Copy_Disabled class.

Fri Sep 10 07:36:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * ace/Thread_Control.inl:
          Include before versioning macros.

Fri Sep 10 07:05:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * ace/Thread_Control.inl:
          Resolved compile error (ACE_OS_TRACE could not be found).

Thu Sep  9 12:53:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Asynch_Acceptor.h:
        * ace/Asynch_Acceptor.cpp:
        * ace/Hash_Multi_Map_Manager_T.h:
        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/Service_Config.cpp:
        * ace/TSS_T.cpp:
        * ace/Thread.h:
        * ace/Thread.inl:
        * ace/config-macosx-snowleopard.h:
        * ace/config-macosx-tiger.h:
        * ace/config-macosx.h:
        * tests/Hash_Multi_Map_Manager_Test.cpp:
          Removed deprecated methods and arguments

        * docs/FAQ:
        * FAQ:
          Moved to docs

Thu Sep  9 11:54:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/soreduce/Signature.cpp:
        * tests/TkReactor_Test.cpp:
          Fixed fuzz

Thu Sep  9 11:49:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed invalid comma, thanks to Frank Preischl
          <Frank dot Preischl at ids dot de> for reporting this

Thu Sep  9 11:14:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/Dispatch_Deferrer.h:

        * ace/Atomic_Op_T.h:
        * ace/Atomic_Op_T.inl:
        * ace/Configuration.h:
        * ace/Configuration.cpp:
        * ace/Default_Constants.h:
        * ace/Hash_Multi_Map_Manager_T.h:
        * ace/Hash_Multi_Map_Manager_T.cpp:
        * ace/Intrusive_List.h:
        * ace/Intrusive_List.inl:
        * ace/Local_Name_Space_T.h:
        * ace/Log_Msg.h:
        * ace/Log_Msg.cpp:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.inl:
        * ace/MEM_Connector.h:
        * ace/MEM_Connector.inl:
        * ace/Message_Queue.h:
        * ace/OS.h:
        * ace/OS_Memory.h:
        * ace/OS_TLI.h:
        * ace/Obstack_T.h:
        * ace/Obstack_T.inl:
        * ace/POSIX_Asynch_IO.h:
        * ace/Process_Manager.h:
        * ace/Process_Manager.cpp:
        * ace/Recursive_Thread_Mutex.h:
        * ace/Recursive_Thread_Mutex.cpp:
        * ace/Refcountable_T.h:
        * ace/Strategies_T.h:
        * ace/Strategies_T.inl:
        * ace/Synch.h:
        * ace/Task.h:
        * ace/Task_Ex_T.h:
        * ace/Task_Ex_T.inl:
        * ace/Task_T.h:
        * ace/Task_T.inl:
        * ace/Thread_Control.cpp:
        * ace/Token_Collection.h:
        * ace/Token_Invariants.h:
        * ace/Token_Manager.h:
        * ace/ace_wchar.h:
        * ace/config-macosx-leopard.h:
        * ace/os_include/net/os_if.h:
        * ace/os_include/sys/os_mman.h:
        * apps/Gateway/Gateway/Concrete_Connection_Handlers.cpp:
        * netsvcs/lib/Time_Request_Reply.h:
        * netsvcs/lib/Time_Request_Reply.cpp:
        * tests/Conn_Test.cpp:
        * tests/Dirent_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
          Removed several methods, files, and macros that are marked deprecated
          for several years now.

        * ace/Map.h:
        * ace/Method_Object.h:
        * ace/OS_Dirent.h:
        * ace/OS_String.h:
        * ace/Pair.h:
        * ace/Refcountable.h:
        * ace/Service_Templates.h:
          Removed these files.

Thu Sep  9 09:37:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
          Fixed errors

        * debian/debian.rules:
          Moving forward with OBS

Thu Sep  9 09:29:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Base.h:
        * ace/CDR_Base.cpp:
        * ace/DEV.h:
        * ace/FILE.h:
        * ace/Global_Macros.h:
        * ace/INET_Addr.inl:
        * ace/Malloc_T.h:
        * ace/Malloc_T.inl:
        * ace/Malloc_T.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/SSL/SSL_SOCK.h:
        * ace/Shared_Memory_Pool.cpp:
        * ace/Sock_Connect.cpp:
        * ace/config-aix-5.x.h:
        * ace/config-doxygen.h:
        * ace/config-g++-common.h:
        * ace/config-hpux-11.00.h:
        * ace/config-icc-common.h:
        * ace/config-integritySCA.h:
        * ace/config-linux-common.h:
        * ace/config-macros.h:
        * ace/config-mvs.h:
        * ace/config-openvms.h:
        * ace/config-suncc-common.h:
        * ace/config-sunos5.5.h:
        * ace/config-sunos5.6.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-win32-borland.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc-10.h:
        * ace/config-win32-msvc-7.h:
        * ace/config-win32-msvc-8.h:
        * ace/config-win32-msvc-9.h:
        * examples/IOStream/server/iostream_server.h:
        * examples/IPC_SAP/SOCK_SAP/C-inserver.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp:
        * examples/Reactor/Misc/test_event_handler_t.cpp:
        * tests/Basic_Types_Test.cpp:
        * tests/Conn_Test.cpp:
        * tests/Message_Queue_Test.cpp:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.h:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
          Cleanup, all compilers support templated typedefs

        * ace/config-cray.h:
        * ace/config-cxx-common.h:
          Removed these files, obsolete

Thu Sep  9 09:01:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/ACE_export.h:
        * ace/ETCL/ETCL_y.cpp:
        * ace/INET_Addr.cpp:
        * ace/Log_Msg.cpp:
        * ace/OS.inl:
        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_ctype.cpp:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_pwd.inl:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_time.inl:
        * ace/OS_NS_time.cpp:
        * ace/POSIX_CB_Proactor.cpp:
        * ace/POSIX_Proactor.cpp:
        * ace/config-cxx-common.h:
        * ace/config-doxygen.h:
        * ace/config-integritySCA.h:
        * ace/config-lynxos.h:
        * ace/config-macros.h:
        * ace/config-openvms.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-vxworks6.4.h:
        * ace/config-win32-common.h:
        * ace/os_include/os_pthread.h:
        * ace/os_include/os_pwd.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/os_stdlib.h:
        * ace/os_include/os_time.h:
        * ace/os_include/sys/os_types.h:
          Removed Tru64, Irix, Unixware, and SCO support

        * debian/debian.rules:
          Improved

        * examples/QOS/Change_Receiver_FlowSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Receiver_FlowSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Change_Sender_TSpec/Sender_QoS_Event_Handler.h:
        * examples/QOS/Simple/Receiver_QoS_Event_Handler.h:
        * examples/QOS/Simple/Sender_QoS_Event_Handler.h:
          Zapped ACE_RCSID

        * ace/config-irix6.5.x-sgic++.h:
        * ace/config-irix6.x-common.h:
        * ace/config-irix6.x-g++.h:
        * ace/config-irix6.x-sgic++.h:
        * ace/config-sco-5.0.0-nothread.h:
        * ace/config-sco-5.0.0.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * include/makeinclude/platform_irix6.x_common.GNU:
        * include/makeinclude/platform_irix6.x_g++.GNU:
        * include/makeinclude/platform_irix6.x_sgic++.GNU:
        * include/makeinclude/platform_tru64_cxx.GNU:
        * include/makeinclude/platform_tru64_g++.GNU:
        * include/makeinclude/platform_tru64_post.GNU:
        * include/makeinclude/platform_tru64_pre.GNU:
        * include/makeinclude/platform_unixware_g++.GNU:
          Removed the files because Tru64, Irix, Unixware, and SCO support are
          removed now

Wed Sep  8 14:54:45 UTC 2010  William Otte  <wotte@zifnab>

        * docs/bczar/bczar.html:

        Updated documentation for removal of Release makefile.

Wed Sep  8 14:40:57 UTC 2010  William Otte  <wotte@zifnab>

        * Release:

        Removing obsolete release makefile.

Wed Sep  8 10:57:12 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debian/ace.dsc:
        * debian/debian.changelog:
        * debian/debian.control:
        * debian/debian.rules:
        * debian/changelog:
        * debian/control:
        * debian/dsc:
        * debian/rules:
          Renamed to the names we use on OBS

Wed Sep  8 09:11:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SSL/Bug_2912_Regression_Test.cpp:
          Fixed compile error

Wed Sep  8 05:53:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadPools/Futures.cpp:
          Added missing include

Tue Sep  7 17:07:58 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Process.h: Noted the affects of handle_inheritance() on Windows.

Tue Sep  7 14:23:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue_T.cpp:
        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
        * examples/APG/ThreadSafety/Mutex.cpp:
        * examples/APG/Threads/Condition_Variables.cpp:
        * protocols/ace/HTBP/HTBP_ID_Requestor.h:
        * protocols/ace/TMCast/Group.cpp:
        * protocols/ace/TMCast/MTQueue.hpp:
        * tests/Bug_3878_Regression_Test.cpp:
        * tests/Upgradable_RW_Test.cpp:
          Fixed compile problems

Tue Sep  7 11:35:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Fix fuzz problem

Tue Sep  7 10:52:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/DSRT_Direct_Dispatcher_Impl_T.cpp:
          Use ACE_GUARD

        * Kokyu/Dispatcher_Task.cpp:
          Initialise pointer with 0

        * PROBLEM-REPORT-FORM:
        * VERSION:
          Updated support email addresses

        * ace/ACE.inl:
          Layout changes

        * ace/ACE.cpp:
          Layout changes, simplified some ifdef checks

        * ace/Auto_IncDec_T.h:
        * ace/Env_Value_T.h:
          Use ACE_Copy_Disabled

        * ace/Bound_Ptr.inl:
          Documentation updates

        * ace/CORBA_macros.h:
          Removed all deprecated macros

        * ace/Dynamic_Service_Base.cpp:
          Use ACE_GUARD_RETURN

        * ace/Event_Handler_T.h:
        * ace/Event_Handler_T.inl:
        * ace/Event_Handler_T.cpp:
          Removed checks for ACE_HAS_TEMPLATE_TYPEDEFS, I think all compilers
          have this now, let us see if nothing breaks

        * ace/FILE.h:
          Doxygen updates

        * ace/Future.h:
        * ace/Future.cpp:
          Use mutex defines

        * ace/Future_Set.h:
          Use ACE_Copy_Disabled

        * ace/Future_Set.cpp:
          Initialise pointer with 0

        * ace/Global_Macros.h:
          Removed checks for ACE_HAS_TEMPLATE_TYPEDEFS, doxygen changes, make it
          possible for users to redefine ACE_GUARD macros

        * ace/Guard_T.h:
        * ace/Guard_T.inl:
        * ace/Guard_T.cpp:
          Doxygen changes, disable ACE_Guard checks for this file

        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Multi_Map_Manager_T.h:
        * ace/Map_Manager.h:
          Update to indicate the usage of ACE_GUARD

        * ace/INET_Addr.h:
          Doxygen changes

        * ace/Local_Tokens.h:
          Disable part of this file for ACE_Guard fuzz check

        * ace/Log_Msg.cpp:
          Use ACE_OS::thr_self

        * ace/Malloc_T.h:
          Disable part of this file for ACE_Guard fuzz check, doxygen changes

        * ace/Message_Queue_T.h:
        * ace/Message_Queue_T.cpp:
        * ace/Message_Queue_Vx.h:
        * ace/Message_Queue_Vx.cpp:
          Removed ACE_Guard argument to some methods, not used and now cause
          fuzz to fail

        * ace/Mutex.h:
        * ace/Mutex.inl:
          Added non const lock(), this fixes bugzilla 3878. Thanks to
          Susan Finster <sfinster at daetwyler-rd dot com> for reporting this

        * ace/Null_Barrier.h:
        * ace/Null_Condition.h:
        * ace/Null_Mutex.h:
        * ace/Null_Semaphore.h:
          Removed old comments, disable part for ACE_Guard, removed
          ACE_Null_Mutex_Guard

        * ace/OS_NS_Thread.cpp:
          Layout changes, use ACE_Guard

        * ace/OS_NS_poll.cpp:
        * ace/OS_NS_sys_select.cpp:
          Layout changes

        * ace/OS_NS_sys_socket.inl:
          Comment change

        * ace/Read_Buffer.h:
        * ace/Remote_Tokens.h:
        * ace/SOCK.h:
          Doxygen changes

        * ace/SOCK_Connector.h:
        * ace/SOCK_Dgram_Mcast.h:
          Doxygen changes

        * ace/SOCK_Connector.cpp:
          Layout and const changes

        * ace/Select_Reactor.h:
          Disable part of this file for ACE_Guard fuzz check

        * ace/Service_Gestalt.h:
          Use ACE_Copy_Disabled

        * ace/Sig_Handler.cpp:
          Use ACE_GUARD macros

        * ace/Synch_Traits.h:
          Removed ACE_HAS_TEMPLATE_TYPEDEFS checks

        * ace/TSS_T.h:
        * ace/TSS_T.cpp:
          Use ACE_Copy_Disabled, reworked some code to fix ACE_Guard fuzz
          checks

        * ace/Task_Ex_T.h:
          Use ACE_Copy_Disabled

        * apps/Gateway/Peer/Peer.cpp:
        * apps/JAWS/server/HTTP_Server.cpp:
        * apps/JAWS/server/JAWS_IO.cpp:
          Initialise pointers with 0

        * apps/JAWS/server/HTTP_Helpers.cpp:
          Use ACE_GUARD macros

        * apps/JAWS2/JAWS/Cache_Hash_T.cpp:
        * apps/JAWS2/JAWS/Cache_Manager_T.cpp:
        * apps/JAWS2/JAWS/Cache_Object.cpp:
        * apps/JAWS2/JAWS/Concurrency.cpp:
        * apps/JAWS2/JAWS/FILE.cpp:
        * apps/JAWS2/JAWS/Jaws_IO.cpp:
        * apps/JAWS2/JAWS/Reaper.cpp:
        * apps/JAWS3/jaws3/FILE.cpp:
          Use ACE_GUARD macros

        * apps/gperf/src/Options.cpp:
          Rename of local variable so that we don't need to disable ACE_OS
          fuzz check

        * bin/fuzz.pl:
          Improved ACE_Guard checks and enable this one by default

        * bin/generate_doxygen.pl:
          Let DANCE use the CIAO version file for the moment

        * bin/make_release.py:
          Don't create static and wince solutions as part of the release anymore,
          if you use these, generate them by hand in the future. Added vc10
          project files

        * examples/APG/Proactor/HA_Proactive_Status.cpp:
        * examples/APG/Reactor/Client.cpp:
        * examples/APG/Reactor/HAStatus.cpp:
        * examples/APG/Streams/Answerer.cpp:
        * examples/APG/Streams/CommandStream.cpp:
        * examples/APG/ThreadManagement/Pool.cpp:
        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/Task_ThreadPool.cpp:
        * examples/APG/ThreadSafety/Semaphore.cpp:
        * examples/APG/Threads/Message_Blocks.cpp:
        * examples/APG/Threads/Message_Queue.cpp:
        * examples/ASX/Message_Queue/bounded_buffer.cpp:
        * examples/ASX/Message_Queue/priority_buffer.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/display_logfile.cpp:
        * examples/IPC_SAP/UPIPE_SAP/ex1.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * examples/Reactor/WFMO_Reactor/Talker.cpp:
        * examples/Threads/barrier2.cpp:
        * examples/Threads/thread_pool.cpp:
          Initialise pointers with 0

        * examples/APG/ThreadPools/ThreadPool.cpp:
          Use ACE_Thread_ID to store a print a thread id using ACE_DEBUG, that
          is the only way that is 100% portable

        * examples/APG/Threads/Guards.cpp:
          Disable ACE_Guard fuzz

        * examples/Threads/reader_writer.cpp:
        * examples/Threads/recursive_mutex.cpp:
          Use ACE_GUARD macros

        * examples/Threads/thread_specific.cpp:
        * examples/Threads/tss1.cpp:
          Removed code not used

        * include/makeinclude/platform_g++_common.GNU:
          Added CROSS_COMPILE support to this file

        * include/makeinclude/platform_linux.GNU:
        * include/makeinclude/platform_linux_common.GNU:
          Moved some bits to platform_g++_common.GNU, works with G++ in
          general

        * include/makeinclude/platform_qnx_neutrino.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
          Cleanup

        * netsvcs/lib/Log_Message_Receiver.h:
        * netsvcs/lib/Log_Message_Receiver.cpp:
          Use ACE_GUARD macros

        * performance-tests/Misc/Misc.mpc:
          Enable test_guard

        * performance-tests/Misc/test_guard.cpp:
          Made this compiling again

        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
        * performance-tests/TCP/tcp_test.cpp:
          Renamed variable to not need ACE_OS fuzz disable code

        * protocols/ace/HTBP/HTBP_ID_Requestor.cpp:
        * protocols/ace/HTBP/HTBP_Session.cpp:
          Use ACE_GUARD macros

        * protocols/ace/RMCast/Acknowledge.h:
        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Bits.h:
        * protocols/ace/RMCast/Flow.h:
        * protocols/ace/RMCast/Flow.cpp:
        * protocols/ace/RMCast/Fragment.h:
        * protocols/ace/RMCast/Fragment.cpp:
        * protocols/ace/RMCast/Link.h:
        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Parameters.h:
        * protocols/ace/RMCast/Protocol.h:
        * protocols/ace/RMCast/Protocol.cpp:
        * protocols/ace/RMCast/Reassemble.h:
        * protocols/ace/RMCast/Reassemble.cpp:
        * protocols/ace/RMCast/Retransmit.h:
        * protocols/ace/RMCast/Retransmit.cpp:
        * protocols/ace/RMCast/Simulator.h:
        * protocols/ace/RMCast/Simulator.cpp:
        * protocols/ace/RMCast/Socket.h:
        * protocols/ace/RMCast/Socket.cpp:
        * protocols/ace/RMCast/Stack.h:
        * protocols/ace/RMCast/Stack.cpp:
        * protocols/ace/TMCast/FaultDetector.hpp:
        * protocols/ace/TMCast/Group.cpp:
        * protocols/ace/TMCast/Group.hpp:
        * protocols/ace/TMCast/GroupFwd.hpp:
        * protocols/ace/TMCast/LinkListener.hpp:
        * protocols/ace/TMCast/MTQueue.hpp:
        * protocols/ace/TMCast/MTQueue.cpp:
        * protocols/ace/TMCast/Messaging.hpp:
        * protocols/ace/TMCast/Protocol.hpp:
        * protocols/ace/TMCast/Protocol.cpp:
        * protocols/ace/TMCast/TransactionController.hpp:
          Removed commented out code, Id changes, disable ACE_Guard check
          for this project

        * rpmbuild/ace-tao.spec:
          Fixed some problems in this spec file

        * tests/Aio_Platform_Test.cpp:
        * tests/Basic_Types_Test.cpp:
        * tests/Bug_1576_Regression_Test.cpp:
        * tests/Bug_3532_Regression_Test.cpp:
        * tests/Bug_3673_Regression_Test.cpp:
        * tests/Bug_3709_Regression_Test.cpp:
        * tests/Bug_3744_Regression_Test.cpp:
        * tests/Compiler_Features_03_Test.cpp:
        * tests/Compiler_Features_09_Test.cpp:
        * tests/Compiler_Features_13_Test.cpp:
        * tests/Compiler_Features_14_Test.cpp:
        * tests/Env_Value_Test.cpp:
        * tests/Hash_Map_Bucket_Iterator_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Priority_Task_Test.cpp:
        * tests/Proactor_UDP_Test.cpp:
        * tests/QtReactor_Test.cpp:
        * tests/Reactor_Notification_Queue_Test.cpp:
        * tests/Reactor_Registration_Test.cpp:
        * tests/Reference_Counted_Event_Handler_Test.cpp:
        * tests/Time_Service_Test.cpp:
          Zapped ACE_RCSID

        * tests/Message_Block_Test.cpp:
        * tests/Multicast_Test_IPV6.cpp:
          Initialise pointer with 0

        * tests/Reader_Writer_Test.cpp:
          Use ACE_GUARD

        * tests/Recursive_Mutex_Test.cpp:
          Disable ACE_Guard fuzz for part of this file

        * tests/Bug_3878_Regression_Test.cpp:
          New test for bugzilla 3878

        * tests/SSL/Bug_2912_Regression_Test.cpp:
        * tests/TP_Reactor_Test.cpp:
          Use ACE_GUARD

        * tests/Simple_Message_Block_Test.cpp:
        * tests/Svc_Handler_Test.cpp:
        * tests/Thread_Pool_Test.cpp:
        * tests/UPIPE_SAP_Test.cpp:
          Initialise pointers with 0

        * tests/Thread_Mutex_Test.cpp:
          Disable ACE_Guard fuzz

        * tests/Upgradable_RW_Test.cpp:
          Use ACE_GUARD

        * tests/run_test.lst:
        * tests/tests.mpc:
          Added 3878

Mon Sep  6 09:30:00 UTC 2010  Simon Massey  <buildczar at prismtech dot com>

        * ace/Acceptor.cpp:
          Due to the way the code was formatted, I mistook a do {} while loop for
          a while loop with my change. I have corrected this.

Mon Sep  6 08:10:00 UTC 2010  Simon Massey  <buildczar at prismtech dot com>

        * ace/ACE.cpp:
        * ace/Acceptor.cpp:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_Dgram.cpp:
        * tests/SOCK_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * NEWS:
          Now that release x.8.3. is out, we are attempting to provide the correct
          fix to the original commit by Steve Huston related to handle_ready()
          (Fri Aug 27 19:17:11 UTC 2010  Steve Huston  <shuston@riverace.com>)
          and added back the corresponding NEWS entry.

Sat Sep 04 18:08:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
        * bin/diff-builds-and-group-fixed-tests-only.sh:
        * bin/make_release.py:
        * docs/Download.html:
        * etc/index.html:
          Updated because of release

Sat Sep 04 11:30:18 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.8.2 released.

Thu Sep  2 14:46:56 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/Acceptor.cpp:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/ACE.cpp:
        * tests/SOCK_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * NEWS:
          Reverted both commits by Steve Huston related to handle_ready()
          and a NEWS entry.
          Wed Sep  1 19:31:24 UTC 2010  Steve Huston  <shuston@riverace.com>
          Fri Aug 27 19:17:11 UTC 2010  Steve Huston  <shuston@riverace.com>
          This is necessary for a quick release of 1.8.2.

Wed Sep  1 19:31:24 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (handle_ready): Changed the timeout behavior to just
          return 0, no errno, as ACE_OS::poll() and ACE_OS::select() both do.
          This restores historic behavior changed inadvertently at
          Fri Aug 27 19:17:11 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_IO.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/SOCK_Test.cpp: Re-added the if/switch on return value from
          ACE::handle_read|write_ready() to detect timeout and set errno
          here.

          These changes were necessary to fix the TAO faults test. Thanks
          to Johnny and Simon for narrowing down the cause and testing
          the fix.

Wed Sep  1 15:58:47 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Changed the short-circuit logic for the .NOTPARALLEL checks to ||
          instead of &&.  If any one file is newer, we will have to rebuild.
          Also added a missing foreach for the output files with dependent libs.

Wed Sep  1 09:59:42 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/Time_Value_Test.cpp:
          Fixed compile warning on QNX. time_t on QNX is defined as unsigned
          int.

Tue Aug 31 16:53:07 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Catherine L. Paquin <catherine dot paquin at ngc dot com>.

Tue Aug 31 14:40:17 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * NEWS:

          Updated to proper name of Visual Studio 2010, which may assist
          those searching for it in the NEWS file.

Tue Aug 31 12:56:36 UTC 2010  Steve Huston  <shuston@riverace.com>

        * NEWS: Added an entry for the change at
          Fri Aug 27 19:17:11 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/README:
        * ace/config-sunos5.6.h:
        * ace/config-sunos5.7.h: Removed all mention of ACE_HAS_LIMITED_SELECT.

Mon Aug 30 18:41:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Added Obstack.h

Mon Aug 30 16:48:34 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/FIFO.h:
        * ace/FIFO_Recv.h:
        * ace/FIFO_Send.h: Clarified initialization and open behavior.

Mon Aug 30 15:33:57 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Process.h (set_handles): Add a note that passing a socket handle
          with this mechanism does not work on Windows.

Mon Aug 30 10:06:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Proactor/test_proactor2.cpp:
        * examples/Reactor/Proactor/test_proactor3.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/Proactor_UDP_Test.cpp:
          ACE_Guard changes

Fri Aug 27 19:17:11 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (handle_ready, handle_timed_complete,
                       handle_timed_accept): On platforms where poll() is
          available, prefer that to using select() for checking a single
          handle's state and/or waiting for a condition. This preference
          was previously only used if ACE_HAS_LIMITED_SELECT was set. The
          ACE_HAS_LIMITED_SELECT choice is removed, making ACE_HAS_POLL the
          setting that switches this preference. The driving reason for this
          is that if select() is called to detect changes on a handle whose
          values falls outside that which can safely be stored in an fdset,
          the handle-setting macros/functions will set/clear bits outside
          of the fdset. This results in very weird memory changes, often in
          the stack, which are very hard to diagnose. poll()'s operation
          does not suffer from this affect. With the growing use of large
          numbers of handles and use of ACE_Dev_Poll_Reactor on Linux,
          the rate at which this problem was cropping up was increasing.
          Thanks to Olivier Langlois for diagnosing this problem and
          proposing the patch.

          (handle_ready): Properly set the poll condition for read and/or
          write. Thanks to kumaran.prem@gmail.com for this fix.

        * ace/Acceptor.cpp:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_Dgram.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/SOCK_Test.cpp: Replaced use of ACE_OS::select() with
          ACE::handle_ready() and friends.

        This all resolves Bugzilla #3606.

Fri Aug 27 19:10:16 UTC 2010  Brian Johnson  <johnsonb@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Merging dependent_libs support for gnuace from TAO 1.5a.
          (Bugzilla #3281)

Fri Aug 27 18:36:37 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.inl:
          Added assignment operator for ACE_Thread_Id

Fri Aug 27 15:01:41 UTC 2010  Steve Huston  <shuston@riverace.com>

        * Connector.{h cpp} (ACE_NonBlocking_Connect_Handler): Add a
          handle_close() which calls handle_input() if called by the
          ACE_Dev_Poll_Reactor to remove a failed connect. Apparently,
          Linux epoll, at least sometimes, signals EPOLLERR on a failed
          nonblocking connect, unlike the select() case which selects the
          failed fd for read. Thanks to Kannan Ramaswamy <kannan dot
          ramaswamy at cogcap dot com> for this information and fix.

        * THANKS: Added Kannan to the Hall of Fame.

Fri Aug 27 14:17:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Atomic_Op.h:
          Doxygen changes

        * ace/OS_NS_Thread.cpp:
          Use ACE_GUARD

        * bin/fuzz.pl:
          Added check for ACE_Guard

Fri Aug 27 06:56:11 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
        * etc/acexml.doxygen:
          Fuzz fixes

Thu Aug 26 13:20:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          Added DANCE_ROOT

Thu Aug 26 13:08:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/servers/servers.mpc:
          Use ace_netsvcs as executable name, this makes more sense when
          we install this file in a target directory

Thu Aug 26 13:04:06 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Check doxygen files for tabs

        * etc/ace.doxygen:
        * etc/ace_inet.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_rmcast.doxygen:
        * etc/ace_ssl.doxygen:
        * etc/acexml.doxygen:
        * html/index.html:
          Changed documentation subdirectories to make debian packaging easier

Thu Aug 26 12:30:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * debian/control:
          Made some fixes for x.8.1

Thu Aug 26 11:54:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/auto_run_tests.pl:
          Extended script to also check for $DANCE_ROOT/bin/dance_tests.lst

Thu Aug 26 10:20:41 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Changes implementing the patches from Bugzilla #3653 (with
          changes and some rejects; *no* asserts allowed in ACE).

Wed Aug 25 19:58:19 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Dev_Poll_Reactor.{h cpp}: Regarding change number 2 at
          Fri Mar 26 14:07:55 UTC 2010  Steve Huston  <shuston@riverace.com>
          dispatching notifies in only one thread at a time was 1) wrong
          (TP_Reactor doesn't do this), 2) broke important existing
          applications at a customer site. This has been fixed so that the
          notify dispatch behavior is like ACE_TP_Reactor: when the
          notify handle is signaled, extract one notification, release
          the token, dispatch the notification. Thus, each thread will
          dispatch one notification, and multiple threads can dispatch
          them at the same time if there are multiples.

          Also fixed an error where it was possible to lose notice of a
          notification. Resolves Bugzilla #3328.

Wed Aug 25 09:49:41 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/Arg_Shifter.h:
        * ace/config-macosx-leopard.h:
        * ace/Guard_T.h:
        * ace/Global_Macros.h:
          Selected changes from patches in Bugzilla 3652.

Tue Aug 24 14:21:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Layout changes

        * ace/config-win32-common.h:
          Improved MinGW GCC 4.4 support. Thanks to
          Jani Hakala <jani dot j dot hakala at jyu dot fi> for creating the
          patch

Tue Aug 24 14:15:45 UTC 2010 Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * ace/Log_Msg.cpp
        * ace/Log_Msg.h
        * tests/Log_Msg_Test.cpp
        Revert changes for logging thread id as argument.

Tue Aug 24 12:59:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/URLBase.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.h:
          Changes to fix export problems with nested classes with MSVC 7/8.

Tue Aug 24 11:29:45 UTC 2010 Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * ace/Log_Msg.h:
        * ace/Log_Msg.cpp:
        * tests/Log_Msg_Test.cpp:
        * ChangeLog:
        Add %#t to log a thread id that is coming from user code, as argument .

Mon Aug 23 19:51:59 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Missing_Svc_Conf_Test.cpp:

          Fix some scoreboard problems.

Mon Aug 23 15:05:56 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * ace/Select_Reactor.h:

          vc10 needs an "ACE_Export" declaration on the explicit template
          instantiation of ACE_Select_Reactor.

Mon Aug 23 13:23:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-kfreebsd.h:
          New config file for kfreebsd

        * ace/config-win32-common.h:
          Removed commented out defines

Mon Aug 23 11:57:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/INet_SSL_Export.h:
        * protocols/ace/INet/HTTPS_Context.h:
        * protocols/ace/INet/HTTPS_SessionFactory.h:
        * protocols/ace/INet/HTTPS_URL.h:
        * protocols/ace/INet/SSL_CallbackManager.h:
        * protocols/ace/INet/SSL_CertificateCallback.h:
        * protocols/ace/INet/SSL_PasswordCallback.h:
        * protocols/ace/INet/SSL_X509Cert.h:
        * protocols/ace/INet/inet_ssl.mpc:
          Changes to fix MSVC 7/8 link errors.

Mon Aug 23 11:34:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/HTTPS_URL.h:
          Fixed GCC41 error concerning comma at end of enum list.

Sat Aug 21 12:53:05 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Missing_Svc_Conf_Test.cpp:

          Added a descriptive comment block to the source.

Fri Aug 20 13:29:22 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.cpp:

          One more shot at fixing the behavior of the service configurator
          in the face of missing defaulted svc.conf file.

        * tests/Missing_Svc_Conf_Test.cpp:
        * tests/run_test.lst:
        * tests/tests.mpc:

          Added a proper test to ensure changes to this behavior are caught
          in the future.

Fri Aug 20 11:58:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TSS_T.cpp:
          Updated comment

        * include/makeinclude/platform_g++_common.GNU:
          If minimaltoc is set to 1, add -mminimal-toc to compiler flags

        * include/makeinclude/platform_linux.GNU:
          Removed check for ppc64, if you build for ppc64 and need -mminimal-toc
          add minimaltoc=1 to your platform_macros.GNU file

Fri Aug 20 09:52:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/inet_ssl.mpb:
          Removed feature subproject config.

        * protocols/ace/INet/inet_ssl.mpc:
          Added sublibrary project I forgot yesterday.

Thu Aug 19 12:37:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Functor_T.h:
          Doxygen changes

        * include/makeinclude/platform_linux.GNU:
          Make it possible to control -mminimal-toc through the
          platform_macros.GNU file using minimaltoc

Thu Aug 19 12:09:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inet.mpb:
        * bin/MakeProjectCreator/config/inetssl.mpb:
        * protocols/ace/INet/inet.mpc:
        * protocols/ace/INet/inet_ssl.mpb:
          Changes to split INet into 2 libraries; regular and SSL.
          Fixes dependencies of DAnCE tools on SSL.

Wed Aug 18 09:26:04 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * netsvcs/lib/Client_Logging_Handler.cpp:
          Fixed a compile warning.

Tue Aug 17 07:34:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * ace/CDR_Stream.cpp
        Add Id

Mon Aug 16 22:00:06 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * examples/Reactor/Misc/Reactor_Misc.mpc:

          Explicitly list an empty Template_Files so that the *_t.cpp doesn't
          get added to Template_Files.

Mon Aug 16 12:58:31 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * ace/Auto_Event.cpp:
        * ace/CDR_Stream.cpp:
        * ace/Cleanup.cpp:
        * ace/Codecs.cpp:
        * ace/DEV_Addr.cpp:
        * ace/Dynamic_Service_Base.cpp:
        * ace/Filecache.cpp:
        * ace/Flag_Manip.cpp:
        * ace/FlReactor/FlReactor.cpp:
        * ace/FoxReactor/FoxReactor.cpp:
        * ace/Handle_Ops.cpp:
        * ace/Hashable.cpp:
        * ace/INET_Addr.cpp:
        * ace/Init_ACE.cpp:
        * ace/Local_Tokens.cpp:
        * ace/Logging_Strategy.cpp:
        * ace/Malloc.cpp:
        * ace/MEM_Addr.cpp:
        * ace/Message_Block.cpp:
        * ace/Method_Request.cpp:
        * ace/Multihomed_INET_Addr.cpp:
        * ace/Name_Request_Reply.cpp:
        * ace/OS_NS_string.cpp:
        * ace/OS_Thread_Adapter.cpp:
        * ace/Parse_Node.cpp:
        * ace/Ping_Socket.cpp:
        * ace/POSIX_Asynch_IO.cpp:
        * ace/POSIX_CB_Proactor.cpp:
        * ace/Proactor.cpp:
        * ace/Proactor_Impl.cpp:
        * ace/Process_Manager.cpp:
        * ace/QoS/QoS_Decorator.cpp:
        * ace/QoS/QoS_Manager.cpp:
        * ace/QoS/QoS_Session_Factory.cpp:
        * ace/QoS/QoS_Session_Impl.cpp:
        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp:
        * ace/Reactor.cpp:
        * ace/Refcountable_T.cpp:
        * ace/Remote_Name_Space.cpp:
        * ace/Select_Reactor_Base.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Gestalt.cpp:
        * ace/Shared_Memory_SV.cpp:
        * ace/Singleton.cpp:
        * ace/Sock_Connect.cpp:
        * ace/SSL/SSL_Asynch_BIO.cpp:
        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_SOCK.cpp:
        * ace/SSL/SSL_SOCK_Acceptor.cpp:
        * ace/SSL/SSL_SOCK_Connector.cpp:
        * ace/SSL/SSL_SOCK_Stream.cpp:
        * ace/SString.cpp:
        * ace/Svc_Conf.y
        * ace/Svc_Conf_y.cpp:
        * ace/Task.cpp:
        * ace/Thread_Manager.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/TkReactor/TkReactor.cpp:
        * ace/Token_Collection.cpp:
        * ace/WIN32_Asynch_IO.cpp:
        * ace/XtReactor/XtReactor.cpp:
        Removed ACE_RCSID

Thu Aug 12 16:07:55 UTC 2010  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added feature test for ACE_LACKS_STRUCT_LIFNUM.

Thu Aug 12 08:39:31 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao.spec:
          Fixed problem compiling FC packages on OSB

Wed Aug 11 20:50:37 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          With ARCH set, we need to create the local ARCH directory for the
          executable in case there are no object files that would otherwise
          have required it.

Wed Aug 11 13:45:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          Only enable GCC builtin atomic op when threads are enabled. Thanks to
          Rafi <rafi dot net at gmail dot com> for reporting this

Tue Aug 10 17:24:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/apps/svcconf/Svcconf.cpp:
          Fixed compile problem

Tue Aug 10 08:55:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Makefile.am:
          Removed zapped file

Mon Aug  9 17:14:27 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * THANKS:

          Added Robert Shectman <shectman at llnl dot gov>

Mon Aug  9 16:02:08 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * include/makeinclude/platform_vxworks6.3.GNU:
        * include/makeinclude/platform_vxworks6.8.GNU:

          The location of user-mode (RTP) libraries has changed in 6.8.

Mon Aug  9 15:14:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/apps/svcconf/Svcconf_Handler.cpp:
          Zap emulated exception macros

        * ace/config-macros.h:
          Only define ACE_HAS_EXCEPTIONS when it is not defined yet

Mon Aug  9 06:38:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-sunos5.5.h:
          Fixed compile error

Mon Aug  9 06:35:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Removed zapped file

Sun Aug  8 23:31:32 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/config-macosx-snowleopard.h:

          Clang uses ACE_ANY_OPS_USE_NAMESPACE.

Fri Aug  6 17:36:45 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * bin/fuzz.pl:

          Added a "trailing whitespace" check (not enabled by default).
          Added the ability to pass multiple test names on the command line.
          Extend the "too long file name" check to some additional file types.

Fri Aug  6 08:39:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/ace/TMCast/TMCast.mpc:
          Removed exceptions as base project

Thu Aug  5 16:56:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/tmcast.mpb:
        * protocols/tests/RMCast/RMCast.mpc:
          Removed exceptions as base project

Thu Aug  5 09:00:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/ACE_crc32.cpp:
        * ace/ACE_crc_ccitt.cpp:
        * ace/ARGV.cpp:
        * ace/ATM_Acceptor.cpp:
        * ace/ATM_Addr.cpp:
        * ace/ATM_Connector.cpp:
        * ace/ATM_Params.cpp:
        * ace/ATM_QoS.cpp:
        * ace/ATM_Stream.cpp:
        * ace/Acceptor.cpp:
        * ace/Activation_Queue.cpp:
        * ace/Active_Map_Manager.cpp:
        * ace/Addr.cpp:
        * ace/Arg_Shifter.cpp:
        * ace/Argv_Type_Converter.cpp:
        * ace/Assert.cpp:
        * ace/Asynch_Acceptor.cpp:
        * ace/Asynch_IO.cpp:
        * ace/Asynch_Pseudo_Task.cpp:
        * ace/Atomic_Op.cpp:
        * ace/Atomic_Op_GCC_T.cpp:
        * ace/Atomic_Op_T.cpp:
        * ace/Auto_Ptr.cpp:
        * ace/Barrier.cpp:
        * ace/Base_Thread_Adapter.cpp:
        * ace/Basic_Stats.cpp:
        * ace/CDR_Base.cpp:
        * ace/Capabilities.cpp:
        * ace/Codeset_IBM1047.cpp:
        * ace/Codeset_Registry.cpp:
        * ace/Condition_Thread_Mutex.cpp:
        * ace/Connection_Recycling_Strategy.cpp:
        * ace/Containers.cpp:
        * ace/Copy_Disabled.cpp:
        * ace/Countdown_Time.cpp:
        * ace/DEV.cpp:
        * ace/DEV_Connector.cpp:
        * ace/DEV_IO.cpp:
        * ace/DLL.cpp:
        * ace/DLL_Manager.cpp:
        * ace/Date_Time.cpp:
        * ace/Dev_Poll_Reactor.cpp:
        * ace/Dirent_Selector.cpp:
        * ace/Dump.cpp:
        * ace/Dynamic.cpp:
        * ace/Dynamic_Message_Strategy.cpp:
        * ace/Dynamic_Service_Dependency.cpp:
        * ace/Event.cpp:
        * ace/Event_Handler.cpp:
        * ace/FIFO.cpp:
        * ace/FIFO_Recv.cpp:
        * ace/FIFO_Recv_Msg.cpp:
        * ace/FIFO_Send.cpp:
        * ace/FIFO_Send_Msg.cpp:
        * ace/FILE.cpp:
        * ace/FILE_Addr.cpp:
        * ace/FILE_Connector.cpp:
        * ace/FILE_IO.cpp:
        * ace/File_Lock.cpp:
        * ace/Framework_Component.cpp:
        * ace/Functor.cpp:
        * ace/Functor_String.cpp:
        * ace/Future.cpp:
        * ace/Get_Opt.cpp:
        * ace/Handle_Set.cpp:
        * ace/High_Res_Timer.cpp:
        * ace/ICMP_Socket.cpp:
        * ace/IOStream.cpp:
        * ace/IO_Cntl_Msg.cpp:
        * ace/IO_SAP.cpp:
        * ace/IPC_SAP.cpp:
        * ace/LSOCK.cpp:
        * ace/LSOCK_Acceptor.cpp:
        * ace/LSOCK_CODgram.cpp:
        * ace/LSOCK_Connector.cpp:
        * ace/LSOCK_Dgram.cpp:
        * ace/LSOCK_Stream.cpp:
        * ace/Lib_Find.cpp:
        * ace/Local_Memory_Pool.cpp:
        * ace/Local_Name_Space.cpp:
        * ace/Lock.cpp:
        * ace/Log_Msg.cpp:
        * ace/Log_Msg_Backend.cpp:
        * ace/Log_Msg_Callback.cpp:
        * ace/Log_Msg_IPC.cpp:
        * ace/Log_Msg_NT_Event_Log.cpp:
        * ace/Log_Record.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Connector.cpp:
        * ace/MEM_IO.cpp:
        * ace/MEM_SAP.cpp:
        * ace/MEM_Stream.cpp:
        * ace/MMAP_Memory_Pool.cpp:
        * ace/Malloc_Allocator.cpp:
        * ace/Manual_Event.cpp:
        * ace/Mem_Map.cpp:
        * ace/Message_Queue.cpp:
        * ace/Message_Queue_NT.cpp:
        * ace/Message_Queue_Vx.cpp:
        * ace/Msg_WFMO_Reactor.cpp:
        * ace/Mutex.cpp:
        * ace/Name_Proxy.cpp:
        * ace/Name_Space.cpp:
        * ace/Naming_Context.cpp:
        * ace/Notification_Strategy.cpp:
        * ace/OS.cpp:
        * ace/OS_Errno.cpp:
        * ace/OS_Log_Msg_Attributes.cpp:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_arpa_inet.cpp:
        * ace/OS_NS_ctype.cpp:
        * ace/OS_NS_dirent.cpp:
        * ace/OS_NS_dlfcn.cpp:
        * ace/OS_NS_errno.cpp:
        * ace/OS_NS_fcntl.cpp:
        * ace/OS_NS_math.cpp:
        * ace/OS_NS_netdb.cpp:
        * ace/OS_NS_poll.cpp:
        * ace/OS_NS_pwd.cpp:
        * ace/OS_NS_regex.cpp:
        * ace/OS_NS_signal.cpp:
        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stdlib.cpp:
        * ace/OS_NS_strings.cpp:
        * ace/OS_NS_stropts.cpp:
        * ace/OS_NS_sys_mman.cpp:
        * ace/OS_NS_sys_msg.cpp:
        * ace/OS_NS_sys_resource.cpp:
        * ace/OS_NS_sys_select.cpp:
        * ace/OS_NS_sys_shm.cpp:
        * ace/OS_NS_sys_socket.cpp:
        * ace/OS_NS_sys_stat.cpp:
        * ace/OS_NS_sys_time.cpp:
        * ace/OS_NS_sys_uio.cpp:
        * ace/OS_NS_sys_utsname.cpp:
        * ace/OS_NS_sys_wait.cpp:
        * ace/OS_NS_time.cpp:
        * ace/OS_NS_unistd.cpp:
        * ace/OS_NS_wchar.cpp:
        * ace/OS_NS_wctype.cpp:
        * ace/OS_TLI.cpp:
        * ace/OS_main.cpp:
        * ace/Obchunk.cpp:
        * ace/Object_Manager.cpp:
        * ace/Object_Manager_Base.cpp:
        * ace/PI_Malloc.cpp:
        * ace/Pagefile_Memory_Pool.cpp:
        * ace/Pipe.cpp:
        * ace/Priority_Reactor.cpp:
        * ace/Process.cpp:
        * ace/Process_Mutex.cpp:
        * ace/Process_Semaphore.cpp:
        * ace/Profile_Timer.cpp:
        * ace/RW_Mutex.cpp:
        * ace/RW_Process_Mutex.cpp:
        * ace/RW_Thread_Mutex.cpp:
        * ace/Reactor_Impl.cpp:
        * ace/Reactor_Notification_Strategy.cpp:
        * ace/Reactor_Timer_Interface.cpp:
        * ace/Read_Buffer.cpp:
        * ace/Recursive_Thread_Mutex.cpp:
        * ace/Recyclable.cpp:
        * ace/Registry.cpp:
        * ace/Registry_Name_Space.cpp:
        * ace/Remote_Tokens.cpp:
        * ace/SOCK.cpp:
        * ace/SOCK_Acceptor.cpp:
        * ace/SOCK_CODgram.cpp:
        * ace/SOCK_Connector.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/SOCK_Dgram_Mcast.cpp:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Association.cpp:
        * ace/SOCK_SEQPACK_Connector.cpp:
        * ace/SOCK_Stream.cpp:
        * ace/SPIPE.cpp:
        * ace/SPIPE_Acceptor.cpp:
        * ace/SPIPE_Addr.cpp:
        * ace/SPIPE_Connector.cpp:
        * ace/SPIPE_Stream.cpp:
        * ace/SUN_Proactor.cpp:
        * ace/SV_Message.cpp:
        * ace/SV_Message_Queue.cpp:
        * ace/SV_Semaphore_Complex.cpp:
        * ace/SV_Semaphore_Simple.cpp:
        * ace/SV_Shared_Memory.cpp:
        * ace/Sample_History.cpp:
        * ace/Sbrk_Memory_Pool.cpp:
        * ace/Sched_Params.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Semaphore.cpp:
        * ace/Service_Manager.cpp:
        * ace/Service_Object.cpp:
        * ace/Service_Repository.cpp:
        * ace/Service_Types.cpp:
        * ace/Shared_Memory.cpp:
        * ace/Shared_Memory_MM.cpp:
        * ace/Shared_Memory_Pool.cpp:
        * ace/Shared_Object.cpp:
        * ace/Sig_Adapter.cpp:
        * ace/Sig_Handler.cpp:
        * ace/Signal.cpp:
        * ace/Stack_Trace.cpp:
        * ace/Stats.cpp:
        * ace/Synch_Options.cpp:
        * ace/System_Time.cpp:
        * ace/TLI.cpp:
        * ace/TLI_Acceptor.cpp:
        * ace/TLI_Connector.cpp:
        * ace/TLI_Stream.cpp:
        * ace/TP_Reactor.cpp:
        * ace/TSS_Adapter.cpp:
        * ace/TTY_IO.cpp:
        * ace/Thread.cpp:
        * ace/Thread_Adapter.cpp:
        * ace/Thread_Control.cpp:
        * ace/Thread_Exit.cpp:
        * ace/Thread_Hook.cpp:
        * ace/Thread_Mutex.cpp:
        * ace/Thread_Semaphore.cpp:
        * ace/Throughput_Stats.cpp:
        * ace/Time_Value.cpp:
        * ace/Timeprobe.cpp:
        * ace/Timer_List_T.cpp:
        * ace/Token.cpp:
        * ace/Token_Invariants.cpp:
        * ace/Token_Manager.cpp:
        * ace/Token_Request_Reply.cpp:
        * ace/Trace.cpp:
        * ace/UNIX_Addr.cpp:
        * ace/UPIPE_Acceptor.cpp:
        * ace/UPIPE_Connector.cpp:
        * ace/UPIPE_Stream.cpp:
        * ace/UUID.cpp:
        * ace/WFMO_Reactor.cpp:
        * ace/WIN32_Proactor.cpp:
        * ace/XTI_ATM_Mcast.cpp:
        * ace/ace_wchar.cpp:
        * ace/gethrtime.cpp:
          Removed ACE_RCSID

Thu Aug  5 08:13:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CORBA_macros.h:
        * ace/Global_Macros.h:
        * ace/Vector_T.h:
        * ace/ace_wchar.h:
        * ace/config-cxx-common.h:
        * ace/config-doxygen.h:
        * ace/config-g++-common.h:
        * ace/config-hpux-11.00.h:
        * ace/config-icc-common.h:
        * ace/config-integritySCA.h:
        * ace/config-macros.h:
        * ace/config-netbsd.h:
        * ace/config-openvms.h:
        * ace/config-suncc-common.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem-nsk-mips-v3.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/config-win32-borland.h:
        * ace/config-win32-dmc.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-interix.h:
        * ace/config-win32-msvc-10.h:
        * ace/config-win32-msvc-7.h:
        * ace/config-win32-msvc-8.h:
        * ace/config-win32-msvc-9.h:
        * include/makeinclude/platform_aix.GNU:
        * include/makeinclude/platform_aix_g++.GNU:
        * include/makeinclude/platform_aix_ibm.GNU:
        * include/makeinclude/platform_cray.GNU:
        * include/makeinclude/platform_freebsd.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
        * include/makeinclude/platform_hpux_aCC.GNU:
        * include/makeinclude/platform_hpux_gcc.GNU:
        * include/makeinclude/platform_integrity_ghs.GNU:
        * include/makeinclude/platform_irix6.x_common.GNU:
        * include/makeinclude/platform_linux_common.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_macosx.GNU:
        * include/makeinclude/platform_macosx_common.GNU:
        * include/makeinclude/platform_macosx_icc.GNU:
        * include/makeinclude/platform_macosx_panther.GNU:
        * include/makeinclude/platform_netbsd.GNU:
        * include/makeinclude/platform_openbsd.GNU:
        * include/makeinclude/platform_openvms.GNU:
        * include/makeinclude/platform_qnx_rtp_gcc.GNU:
        * include/makeinclude/platform_rtems.x_g++.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_sunos5_sunc++.GNU:
        * include/makeinclude/platform_tandem.GNU:
        * include/makeinclude/platform_tru64_cxx.GNU:
        * include/makeinclude/platform_tru64_g++.GNU:
        * include/makeinclude/platform_unixware_g++.GNU:
        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * include/makeinclude/platform_vxworks6.2.GNU:
        * include/makeinclude/platform_vxworks6.3.GNU:
        * include/makeinclude/platform_win32_dmc.GNU:
        * include/makeinclude/platform_win32_icc.GNU:
        * include/makeinclude/platform_win32_interix.GNU:
        * include/makeinclude/wrapper_macros.GNU:
        * tests/Bug_3673_Regression_Test.cpp:
        * tests/Reactor_Exceptions_Test.cpp:
        * tests/tests.mpc:
          Removed support for non exception builds, ACE_HAS_EXCEPTIONS is
          now always defined

        * rpmbuild/ace-tao.spec:
          Small updates

        * ace/Exception_Macros.h:
        * bin/MakeProjectCreator/config/exceptions.mpb:
          Removed these files.

Thu Aug  5 07:40:00 UTC 2010  Build CZar  <buildczar at prismtech dot com>

        * ace/OS_NS_Thread.cpp:
          Add the missing ; to the lines added by the fix below.
          Wed Aug  4 14:16:46 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

Wed Aug  4 17:21:17 UTC 2010  Chris Cleeland  <cleeland@ociweb.com>

        * bin/MakeProjectCreator/config/crosscompile.mpb:
          Added specific clause for cdt6.

Wed Aug  4 14:16:46 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Check more internal return values

        * rpmbuild/ace-tao.spec-bugfixonly.patch:
          Removed this file, not needed

Tue Aug  3 12:14:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
        * html/index.html:
          DAnCE has its own file now and also some documentation got moved
          out of the tao directory

Sun Aug  1 18:14:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
        * bin/diff-builds-and-group-fixed-tests-only.sh:
        * bin/make_release.py:
        * docs/Download.html:
        * etc/index.html:
          Updated because of release

        * debian/*:
          Did rename actions the release script didn't do, have to sort this
          out later

Sun Aug 01 11:30:54 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.8.1 released.

Thu Jul 29 14:41:32 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/Process.h (set_handles): Clarify that passing ACE_INVALID_HANDLE
          for any of the handle values will cause a duplicate of the
          corresponding ACE_STDIN/OUT/ERR to be used in the options.

Thu Jul 29 10:43:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
        * bin/MakeProjectCreator/config/inetssl.mpb:
        * protocols/ace/INet/inet_ssl.mpb:
          Created a new feature, inet_ssl. When set, the INet libary
          builds, using SSL. To let the INet libary use SSL, one should
          enable the inet_ssl feature in default.features and add ssl=1 to
          the platform_macos.GNU.

Mon Jul 26 20:26:53 UTC 2010  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.h: Note that the cpu_set_size to the get/set
          affinity methods is a byte count.

Mon Jul 26 07:02:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inet.mpb:
        * protocols/ace/INet/inet.mpc:
          Added avoids += corba_e_compact.

Thu Jul 22 04:35:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inet.mpb:
        * protocols/ace/INet/inet.mpc:
          Added avoids += ace_for_tao.

Wed Jul 21 18:23:32 UTC 2010  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * ace/Basic_Types.h (ACE_INT8_FORMAT_SPECIFIER): Added the missing
          "_ASCII" to the ACE_INT8_FORMAT_SPECIFIER macro usage.  Thanks
          to Andre Kostur <akostur at incognito dot com> for reporting
          this.

Wed Jul 21 15:52:32 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.inl:
        * ace/Service_Gestalt.cpp:

          Reverted for_TAO specific change, revised the processing to
          ensure default first, then files, then cmdline directives.

Wed Jul 21 03:07:28 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Fix errors in premature committal.

Wed Jul 21 02:30:45 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.inl:
        * ace/Service_Gestalt.cpp:

          Add a specialized open method to be called by TAO. TAO depends
          on a modified order of directive evaluation.

Tue Jul 20 18:02:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Fixed some typos, thanks to Thomas Lockhart
          <Thomas dot lockhart at jpl dot nasa dot gov> for reporting this

Tue Jul 20 15:08:49 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3319_Regression_Test.cpp:

          Fix the test to be consistent with revised service config
          behavior. The test had assumed that ACE_Service_Config::open()
          would return 0 even if svc.conf were not present, but since it
          was setting the ignore_default_svc_conf_file to 0, the restore
          behavior of the service configurator is to fail with ENOENT in
          that case.

Tue Jul 20 08:48:00 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/TSS_T.cpp:
          Fixed a bug in ACE_TSS::ts_get() that only exhibited on
          SunOS/Studio builds. The later configutsyion uses ACE_HAS_THR_C_DEST
          and with that define ts_get() behaved differently. In particular it
          didn't create a ts_obj if tss_adapter was not 0.

Tue Jul 20 07:38:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/SSL_CallbackManager.h:
          Fixed comment typo.

Tue Jul 20 05:25:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/HTTP_BasicAuthentication.cpp:
        * protocols/ace/INet/HTTP_BasicAuthentication.h:
        * protocols/ace/INet/HTTP_BasicAuthentication.inl:
        * protocols/ace/INet/inet.mpc:
          Added basic support for HTTP Basic Authentication scheme.

Tue Jul 20 03:56:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/HTTP_SessionBase.cpp:
          Fixed MSVC 7.1 compile problems.

        * protocols/ace/INet/HTTP_Simple_exec.cpp:
          Fixed compile problems for non-SSL builds.

Tue Jul 20 03:25:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inetssl.mpb:
        * protocols/ace/INet/inet_ssl.mpb:
          Fuzz fixes.

Mon Jul 19 11:50:59 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * ace/TSS_T.inl:
        * ace/TSS_T.h:
        * ace/TSS_T.cpp:
          Mostly fixed bug 3539. It doesn't fix a case when main thread
          doesn't own ACE_TSS but still uses it. Fixing the later is not
          straight forward and will require a lot more efforts.
          Also rearranged the code so that it has less duplicates.

        * tests/run_test.lst:
          Marked the test as fixed.

Mon Jul 19 09:15:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inet.mpb:
        * bin/MakeProjectCreator/config/global.features:
        * protocols/ace/INet/inet.mpc:
          Added new feature 'exclude_inet' to allow builds to
          explicitly exclude building INet.

Mon Jul 19 08:49:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/HTTPS_Session.cpp:
        * protocols/ace/INet/HTTPS_Session.h:
          Fixed compile errors byadding version check to disable
          'relatively' new OpenSSL functionality for builds using
          outdated OpenSSL installations (OpenSSL <= 0.9.8e).

Sat Jul 17 14:06:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/URLBase.h:
          Some include shuffling to fix an incomplete type warning
          with MSVC.

Sat Jul 17 11:39:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * protocols/ace/INet/inet_ssl.mpb:
          Replaced ace_openssl base project by ssl. Fixes missing
          ACE_SSL lib link errors.

        * protocols/ace/INet/SSL_CallbackManager.cpp:
          Fixed MSVC compile errors.

Sat Jul 17 10:26:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/config/inetssl.mpb:
        * bin/MakeProjectCreator/config/inet.mpb:
          Added feature project for SSL based parts of INet.
          Setting feature ssl=1 will automatically cause correct
          dependencies for SSL to be generated in INet based projects.

        * protocols/ace/INet/HTTPS_Context.cpp:
        * protocols/ace/INet/HTTPS_Context.h:
        * protocols/ace/INet/HTTPS_Context.inl:
        * protocols/ace/INet/HTTP_SessionBase.cpp:
        * protocols/ace/INet/HTTP_SessionBase.h:
        * protocols/ace/INet/HTTP_SessionBase.inl:
        * protocols/ace/INet/HTTPS_Session.cpp:
        * protocols/ace/INet/HTTPS_SessionFactory.cpp:
        * protocols/ace/INet/HTTPS_SessionFactory.h:
        * protocols/ace/INet/HTTPS_Session.h:
        * protocols/ace/INet/HTTPS_URL.cpp:
        * protocols/ace/INet/HTTPS_URL.h:
        * protocols/ace/INet/HTTPS_URL.inl:
        * protocols/ace/INet/SSL_CallbackManager.cpp:
        * protocols/ace/INet/SSL_CallbackManager.h:
        * protocols/ace/INet/SSL_CallbackManager.inl:
        * protocols/ace/INet/SSL_CertificateCallback.cpp:
        * protocols/ace/INet/SSL_CertificateCallback.h:
        * protocols/ace/INet/SSL_CertificateCallback.inl:
        * protocols/ace/INet/SSL_PasswordCallback.cpp:
        * protocols/ace/INet/SSL_PasswordCallback.h:
        * protocols/ace/INet/SSL_Proxy_Connector.cpp:
        * protocols/ace/INet/SSL_Proxy_Connector.h:
        * protocols/ace/INet/SSLSock_IOStream.cpp:
        * protocols/ace/INet/SSLSock_IOStream.h:
        * protocols/ace/INet/SSL_X509Cert.cpp:
        * protocols/ace/INet/SSL_X509Cert.h:
        * protocols/ace/INet/SSL_X509Cert.inl:
          New files implementing SSL/HTTPS support.
          Includes support for proxy CONNECT tunneling.

        * protocols/ace/INet/inet_ssl.mpb:
          Feature project which will include SSL/HTTPS support
          into INet when MPC feature ssl=1 is set.

        * protocols/ace/INet/ClientRequestHandler.cpp:
        * protocols/ace/INet/ClientRequestHandler.h:
        * protocols/ace/INet/ConnectionCache.cpp:
        * protocols/ace/INet/ConnectionCache.h:
        * protocols/ace/INet/FTP_ClientRequestHandler.cpp:
        * protocols/ace/INet/FTP_URL.cpp:
        * protocols/ace/INet/FTP_URL.h:
        * protocols/ace/INet/FTP_URL.inl:
        * protocols/ace/INet/HeaderBase.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.cpp:
        * protocols/ace/INet/HTTP_ClientRequestHandler.h:
        * protocols/ace/INet/HTTP_ClientRequestHandler.inl:
        * protocols/ace/INet/HTTP_Session.cpp:
        * protocols/ace/INet/HTTP_Session.h:
        * protocols/ace/INet/HTTP_StreamPolicyBase.h:
        * protocols/ace/INet/HTTP_StreamPolicy.h:
        * protocols/ace/INet/HTTP_URL.cpp:
        * protocols/ace/INet/HTTP_URL.h:
        * protocols/ace/INet/HTTP_URL.inl:
        * protocols/ace/INet/inet.mpc:
        * protocols/ace/INet/RequestHandler.h:
        * protocols/ace/INet/StreamHandler.cpp:
        * protocols/ace/INet/StreamInterceptor.h:
        * protocols/ace/INet/URLBase.h:
          Some redesign to accomodate addition of HTTPS.
          Some additional logging.
          Some additional documentation.

        * protocols/ace/INet/HTTP_Simple_exec.cpp:
          Extended to include HTTPS support.

        * protocols/tests/INet/MT_Get/Main.cpp:
          Added some traces.

Fri Jul 16 22:08:05 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.h:
        * ace/Service_Gestalt.cpp:

          Further refinement of service initialization process. This
          restores the order of processing, and is more explicit about
          handling a defaulted svc.conf.

Thu Jul 15 17:53:47 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Service_Gestalt.cpp:
        * THANKS:

          Restore pre-gestalt behavior of returning -1 if svc.conf does
          not exist and an ACE_Service_Config::open() is expecting to use
          the default file.

          Thanks to Daynesh Mangal (daynesh@gmail.com) for reporting the
          errant behavior.

Thu Jul 15 12:53:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
        * etc/ace_inet.doxygen:
        * etc/ace_man.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_rmcast.doxygen:
        * etc/ace_ssl.doxygen:
        * etc/acexml.doxygen:
          Generate deprecated/todo pages

Thu Jul 15 12:35:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ace/SSL/SSL_SOCK_Stream.h:
        * ace/SSL/SSL_SOCK_Stream.inl:
          Added two method overloads available in ACE_SOCK_Stream but
          missing from ACE_SSL_SOCK_Stream.

Thu Jul 15 09:49:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-doxygen.h:
          Added ACE_HAS_POSITION_INDEPENDENT_POINTERS

Thu Jul 15 09:29:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
        * etc/ace_inet.doxygen:
        * html/index.html:
          Added ACE INet library

Thu Jul 15 09:11:51 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * ace/config-macosx-snowleopard.h:
        * include/makeinclude/platform_clang_common.GNU:
        * include/makeinclude/platform_macosx_common.GNU:

          Preliminary support for clang compiler.

Tue Jul 13 14:39:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated

Tue Jul 13 14:33:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cached_Connect_Strategy_T.h:
        * ace/Capabilities.h:
          Doxygen fixes

Tue Jul 13 14:20:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_errno.h:
          Fixed problems with msvc 10, , thanks to Max Zhou
          <earthdog at 126.com> for supplying these changes, this fixes
          bugzilla 3873

Tue Jul 13 11:08:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/vc10nmake.mpb:
        * netsvcs/lib/lib.mpc:
          vc10 support, thanks to Max Zhou <earthdog at 126.com> for
          supplying these changes

Mon Jul 12 11:04:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/Activation_Queue.h:
        * ace/Active_Map_Manager.h:
        * ace/Dev_Poll_Reactor.h:
        * ace/Dev_Poll_Reactor.inl:
        * ace/Event_Handler.h:
        * ace/Filecache.h:
        * ace/Manual_Event.h:
        * ace/Map_Manager.h:
        * ace/Mem_Map.h:
        * ace/Message_Block.h:
        * ace/OS_Log_Msg_Attributes.h:
        * ace/OS_NS_unistd.h:
        * ace/Object_Manager.h:
        * ace/Recursive_Thread_Mutex.h:
          Layout, const, and doxygen fixes

Mon Jul 12 10:11:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/DLL.h:
        * ace/DLL_Manager.h:
        * ace/Dirent.h:
        * ace/Dump_T.h:
        * ace/Event_Handler.h:
        * ace/File_Lock.h:
        * ace/INET_Addr.h:
        * ace/Log_Msg_Callback.h:
        * ace/Log_Record.h:
        * ace/Logging_Strategy.h:
          Fixed set of doxygen warnings

Mon Jul 12 08:19:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Connector.h:
        * ace/Malloc_Base.h:
        * ace/SString.h:
        * ace/Stream.h:
        * ace/Task.h:
          Fixed set of doxygen warnings

Fri Jul 09 09:35:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Fix killall() valgrind handling.

Thu Jul 08 14:41:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Fix killall() valgrind handling.

Thu Jul 08 07:56:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Make killall() recognize and handle valgrind runs correctly.

Wed Jul  7 14:53:12 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/run_test.lst:
        * tests/Bug_3539_Regression_Test.cpp:
        * tests/tests.mpc:
          Added a test for bug 3539 as non-fixed.

Wed Jul  7 11:43:16 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/bczar/bczar.html:
          Extended instructions

Tue Jul  6 12:28:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          CIAO is also online available

Tue Jul  6 11:29:41 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue_T.cpp:
        * ace/Service_Repository.h:
        * ace/Task_T.h:
          Fixed doxygen warnings

Tue Jul  6 11:22:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
          Improved doxygen configuration

Tue Jul  6 11:11:06 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
        * etc/ace_man.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_rmcast.doxygen:
        * etc/ace_ssl.doxygen:
        * etc/acexml.doxygen:
          Reduced the size of the colloboration graphs

Mon Jul  5 15:20:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao.spec:
          Removed some test code

Mon Jul  5 14:59:25 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao.spec:
          Added missing file, thanks to Anatoli Sakhnik
          <sakhnik at gmail dot com> for reporting this, this should fix
          bugzilla 3870

Mon Jul 05 14:32:30 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Fixes problem with killall() function being not selective enough.

Mon Jul  5 13:56:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_rmcast.doxygen:
        * etc/ace_ssl.doxygen:
        * etc/acexml.doxygen:
          Disable include and included graphs, this should reduce the size
          of the documentation a lot

Mon Jul  5 13:29:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
          Some preparations to move the DAnCE doxygen files to DAnCE

        * docs/bczar/bczar.html:
          Updated release notes, made it possible to generate doxygen on
          a regular system instead of on naboo, the side effect is that the
          doxygen packages on naboo are 350Mb, on FC13 with all latest tools
          they are 1.4GB

Mon Jul  5 11:22:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Select_Reactor_Base.cpp:
          Fixed doxygen warning

        * etc/ace.doxygen:
        * etc/ace_man.doxygen:
        * etc/ace_qos.doxygen:
        * etc/ace_rmcast.doxygen:
        * etc/ace_ssl.doxygen:
        * etc/acexml.doxygen:
          Define ACE_INLINE as inline and not as 1

Mon Jul  5 10:56:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpmbuild/ace-tao.spec-release.patch:
          Removed this file.

Mon Jul  5 09:11:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Removed link to very old patches and fixed typo

Mon Jul  5 09:05:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Updated filenames in text

Mon Jul  5 08:57:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Download.html:
          Update latest minor release to x.8.0

Mon Jul  5 08:19:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/diff-builds-and-group-fixed-tests-only.sh:
          Updated for x.8.0

        * bin/generate_rel_manpages:
          Remove restriction to run on naboo, removed doxygen check, updated
          error message

        * docs/Download.html:
          Updated to x.8.0

        * etc/ace.doxygen:
          Layout changes

        * etc/index.html:
          Added 5.8

        * rpmbuild/ace-tao.spec:
          Changed version numbers to x.8.0 and added new ACE INet library

Sun Jul 04 18:57:33 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.8 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
